using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
 
public class ServiceLogin : Page {

	TextBox UserPass;
	TextBox UserEmail;
	CheckBox PersistCookie;
	Label Msg;
  
	public void Login_Click(Object sender, EventArgs E) {

		bool IsValid = false;
		WebAuth wa = new WebAuth();
 
		try 
		{
			IsValid = wa.Authenticate(UserEmail.Text, UserPass.Text);
		}
		catch 
		{
			Msg.Text = "There was a problem validating your credentials.";
		}

		if (IsValid) 
		{
			// The credentials were valid
			FormsAuthentication.RedirectFromLoginPage(UserEmail.Text, PersistCookie.Checked);
		} 
		else
		{
			// The credentials were invalid
			Msg.Text = "Invalid Credentials!<br>Please try again.";
		}
	}
 }