<%@ Page Language="C#" Debug="True" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Web.Security " %>
<%@ Import Namespace="System.IO" %>

<html>
<head>
<title>Cookie Authentication</title>

<script runat="server">

private void Login_Click (Object sender, EventArgs E) {
	if (!Page.IsValid)
		Msg.Text = "Some required fields are missing";

	string cmd = "UserEmail='" + UserEmail.Value + "'";
	DataSet ds = new DataSet();
	FileStream fs = new FileStream(Server.MapPath("users_encrypted.xml"), FileMode.Open,FileAccess.Read);
	StreamReader reader = new StreamReader(fs);

	ds.ReadXml(reader);
	fs.Close();

	DataTable users = ds.Tables[0];
	DataRow[] matches = users.Select(cmd);

	//if ((!IsDBNull(matches)) && (matches.Length > 0))
	if (matches.Length > 0)
	{
		DataRow row = matches[0];
		String pass = (string) row["UserPassword"];

		if (0 != String.Compare(pass, UserPass.Value, false))
			Msg.Text = "Invalid Password: Please try again";
		else
			FormsAuthentication.RedirectFromLoginPage(UserEmail.Value, PersistCookie.Checked);	
	}
}

</script>
<body>

<form runat=server>
    <h3><font face="Verdana">Login Page</font></h3>

    <table>
        <tr>

        <td>Email:</td>
        <td><input id="UserEmail" type="text" runat=server/></td>
        <td><ASP:RequiredFieldValidator 
            ControlToValidate="UserEmail" 
            Display="Static"
            ErrorMessage="*"
            runat=server/>
        </td>

    </tr>
    <tr>    

        <td>Password:</td>
        <td><input id="UserPass" type=password runat=server/></td>
        <td><ASP:RequiredFieldValidator 
            ControlToValidate="UserPass" 
            Display="Static"
            ErrorMessage="*"
            runat=server/>
        </td>
    </tr>
    <tr>

        <td>Persistent Cookie:</td>
        <td><ASP:CheckBox id=PersistCookie runat="server"
            autopostback="true" />
        </td>
        <td></td>
    </tr>

</table>


<input type="submit" OnServerClick="Login_Click" Value="Login" 
                                             runat="server"/><p>
    <asp:Label id="Msg" ForeColor="red" Font-Name="Verdana" 
                                  Font-Size="10" runat=server />

</form>
</body>
</html>