<%@ Page Language="VB" %>

<%@ Import Namespace="System.Collections" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server" >

Public Sub Login_Click(sender As [Object], E As EventArgs)
	Dim dsn As [String] = CType(CType(Context.GetConfig("custom"), Hashtable)("dsn"), [String])
	Dim conn As New SqlConnection(dsn)
	Dim cmd As New SqlCommand("ValidateUser", conn)
			
	cmd.CommandType = CommandType.StoredProcedure
	Dim prmEmail As New SqlParameter("@Email", SqlDbType.NVarChar, 50)

	prmEmail.Value = UserEmail.Text
	cmd.Parameters.Add(prmEmail)
	Dim prmPassword As New SqlParameter("@Password", SqlDbType.NVarChar, 50)

	prmPassword.Value = UserPass.Text
	cmd.Parameters.Add(prmPassword)
	Dim prmUserID As New SqlParameter("@LoginID", SqlDbType.Int, 4)

	prmUserID.Direction = ParameterDirection.Output
	cmd.Parameters.Add(prmUserID)

	Try
	    conn.Open()
	    cmd.ExecuteNonQuery()
	Catch eo As Exception
	    Throw eo
	Finally
	    If conn.State = ConnectionState.Open Then
		conn.Close()
	    End If
	End Try
	If CInt(prmUserID.Value) > 0 Then
	    
	    ' The User ID was found, validate the user
	    FormsAuthentication.RedirectFromLoginPage(UserEmail.Text, PersistCookie.Checked)
	    Msg.Text = "Credentials were valid!"
	Else
	    ' Not found or incorrect
	    Msg.Text = "Invalid Credentials!" + "<br>" + "Please try again."
	End If
End Sub

</script>

<html>
<head>
	<title>Forms Authentication with SQL</title>

<body>

<form runat=server>
    <h3><font face="Verdana">Login Page</font></h3>

    <table>
        <tr>

        <td>Email:</td>
        <td><ASP:TextBox id="UserEmail" runat=server/></td>
        <td><ASP:RequiredFieldValidator 
            ControlToValidate="UserEmail" 
            Display="Static"
            ErrorMessage="* - Please enter your email address."
            runat=server/>
        </td>

    </tr>
    <tr>    

        <td>Password:</td>
        <td><ASP:TextBox id="UserPass" TextMode="password" runat=server/></td>
        <td><ASP:RequiredFieldValidator 
            ControlToValidate="UserPass" 
            Display="Static"
            ErrorMessage="* - Please enter your password."
            runat=server/>
        </td>
    </tr>
    <tr>

        <td>Persistent Cookie:</td>
        <td><ASP:CheckBox id=PersistCookie runat="server"
            autopostback="true" />
        </td>
        <td></td>
    </tr>

</table>


<input type="submit" OnServerClick="Login_Click" Value="Login" 
                                             runat="server"/><p>
    <asp:Label id="Msg" ForeColor="red" Font-Name="Verdana" 
                                  Font-Size="10" runat=server />

</form>
</body>
</html>