   <%@ Import Namespace="System.Collections" %>
   <%@ Import Namespace="System.Data" %>
   <%@ Import Namespace="System.Data.SqlClient" %>
   <%@ Import Namespace="System.Web.Security" %>
   
   <Script Language="VB" Runat=server >
   
     Public Sub Page_Load(sender As [Object], E As EventArgs)
        If User.Identity.Name <> "" Then
            
            CurrentUser.Text = "You are currently logged on as: " + User.Identity.Name
        End If
    End Sub
    
    
    Public Sub Register_Click(sender As [Object], E As EventArgs)
        If Not Page.IsValid Then
            
            Msg.Text = "Page is invalid." + "<br>" + "Please try again."
            
            'Cancel further processing.
            Return
        End If
        Dim dsn As [String] = CType(CType(Context.GetConfig("custom"), Hashtable)("dsn"), [String])
        Dim conn As New SqlConnection(dsn)
        Dim cmd As New SqlCommand("CreateUser", conn)
                        
        cmd.CommandType = CommandType.StoredProcedure
        Dim prmEmail As New SqlParameter("@Email", SqlDbType.NVarChar, 50)
        
        prmEmail.Value = UserEmail.Text
        cmd.Parameters.Add(prmEmail)
        Dim prmPassword As New SqlParameter("@Password", SqlDbType.NVarChar, 50)
        
        prmPassword.Value = UserPass.Text
        cmd.Parameters.Add(prmPassword)
        Dim prmUserID As New SqlParameter("@UserID", SqlDbType.Int, 4)
        
        prmUserID.Direction = ParameterDirection.Output
        cmd.Parameters.Add(prmUserID)
        
        Try
            conn.Open()
            cmd.ExecuteNonQuery()
        Catch eo As Exception
            Throw eo
        Finally
            If conn.State = ConnectionState.Open Then
                conn.Close()
            End If
        End Try
        If CInt(prmUserID.Value) > 0 Then
            If User.Identity.Name <> "" Then
                
                ' The User ID has been created
                FormsAuthentication.SignOut()
            
            End If
            FormsAuthentication.RedirectFromLoginPage(UserEmail.Text, False)
        Else
            ' Not found or incorrect
            Msg.Text = "User has " + "<b>not</b>" + " been created."
        End If
    
    End Sub
  
  </Script>
  <html>
  <head>
      <title>Forms Authentication with SQL</title>
  
  <body>
  
  <form runat=server>
      <h3><font face="Verdana">Registration Page</font></h3>
  
      <table>
  
      <tr>
          <td>Email:</td>
          <td><ASP:TextBox id="UserEmail" runat=server/></td>
          <td><asp:RegularExpressionValidator id="RegularExpressionValidator1" runat="server"
              ControlToValidate="UserEmail"
              ValidationExpression="^[\w-]+@[\w-]+\.(com|net|org|edu|mil)$"
              Display="Static">Please enter a valid e-mail address
          </asp:RegularExpressionValidator>
  
          </td>
      </tr>
  
      <tr>
          <td>Password:</td>
          <td><ASP:TextBox id="UserPass" TextMode="password" runat=server/></td>
         <td><ASP:RequiredFieldValidator
             ControlToValidate="UserPass"
             Display="Static"
             ErrorMessage="* - Please enter a password."
             runat=server/>
         </td>
     </tr>
 
     <tr>
         <td>Password (confirm):</td>
         <td><ASP:TextBox id="UserConfirmPass" TextMode="password" runat=server/></td>
         <td><ASP:RequiredFieldValidator
             ControlToValidate="UserPass"
             Display="Dynamic"
             ErrorMessage="* - Please re-enter your password."
             runat=server/>
     <asp:CompareValidator
         id="PassComps"
         ControlToValidate="UserPass"
         ControlToCompare="UserConfirmPass"
         Text="Passwords do not match."
         Type="String"
         runat="server"/>
         </td>
     </tr>
 
 </table>
 
 
 
 <br>
 <input type="submit"
     OnServerClick="Register_Click"
     Value="Register/Update"
     runat="server"/><p>
 
 <p>
 <asp:Label id="CurrentUser"
     ForeColor="red"
     Font-Name="Verdana"
     MaintainState="False"
     Font-Size="10"
     runat=server />
 </p>
 
 <p>
 <asp:Label id="Msg"
     ForeColor="red"
     Font-Name="Verdana"
     MaintainState="False"
     Font-Size="10"
     runat=server />
 </p>
 
 </form>
 </body>
 </html>