  <%@ WebService Language="VB" Class="WebAuth" %>
  
  Imports System
  Imports System.Web
  Imports System.Web.Services
  Imports System.Data
  Imports System.Collections
  Imports System.Data.SqlClient
  Imports System.Configuration
 
 
 Public Class WebAuth 
 Inherits WebService 
 
     <WebMethod> Public Function Authenticate (UserEmail As String, UserPass As String) As Boolean
 
 	Dim dsn As String = ConfigurationSettings.AppSettings("dsn")
 
        Dim conn As SqlConnection = New SqlConnection(dsn)
        Dim cmd As SqlCommand  = New SqlCommand("ValidateUser", conn)
 
        cmd.CommandType = CommandType.StoredProcedure
 
        Dim prmEmail As SqlParameter = New SqlParameter("@Email", SqlDbType.NVarChar, 50)
        prmEmail.Value = UserEmail
        cmd.Parameters.Add(prmEmail)
 
        Dim prmPassword As SqlParameter = New SqlParameter("@Password", SqlDbType.NVarChar, 50)
        prmPassword.Value = UserPass
        cmd.Parameters.Add(prmPassword)
 
        Dim prmUserID As SqlParameter = New SqlParameter("@LoginID", SqlDbType.Int, 4)
        prmUserID.Direction = ParameterDirection.Output
        cmd.Parameters.Add(prmUserID)
 
        Try
             conn.Open()
             cmd.ExecuteNonQuery()
         
        Catch eo As Exception
             'Eat the exception and return false
 	     Return false
       
         Finally 
             If conn.State = ConnectionState.Open Then
                 conn.Close()
	     End If
         End Try
 
         if CInt(prmUserID.Value) > 0 Then
             ' The credentials are valid.
             Return true
         
         Else
             ' The credentials are invalid.
             Return false
         End If
   End Function
End Class