   <%@ Register TagName="PassportLogo" 
       TagPrefix="Sams" 
       src="PassportLogo.ascx" %>
   
   <%@ Import Namespace="System.Collections" %>
   <%@ Import Namespace="System.ComponentModel" %>
   <%@ Import Namespace="System.Data" %>
   <%@ Import Namespace="System.Web.SessionState" %>
   
  
  <Script Language="VB" Runat="Server" >
  
   Sub Page_Load(sender As Object, E As EventArgs)
      
      If TypeOf Not Context.User.Identity Is System.Web.Security.PassportIdentity Then 

         Message.Text = "Error: Passport authentication failed.  Make sure that the passport auth module has been added to the pipeline and this server is configured to use passport authentication."
         Return
      End If
      
      Dim id As System.Web.Security.PassportIdentity = CType(Context.User.Identity, System.Web.Security.PassportIdentity)
      
      If Not id.IsAuthenticated Then
         passportInfo.Visible = False
         
         Message.Text = "Although you have access to this page, there is nothing to see without first signing in with your Passport."
         Return
      Else
         passportInfo.Visible = True
      End If
      
      identity.Text = Context.User.Identity.Name
      accessibility.Text = id("Accessibility")
      birthdate.Text = id("BirthDate")
      birthdate_precisison.Text = id("BDay_precision")
      city.Text = id("city")
      country.Text = id("country")
      directory.Text = id("Directory")
      flags.Text = id("flags")
      gender.Text = id("gender")
      language.Text = id("Lang_Preference")
      member_id_high.Text = id("memberIDHigh")
      member_id_low.Text = id("memberIDLow")
      member_name.Text = id("memberName")
      nick_name.Text = id("Nickname")
      postal_code.Text = id("postalCode")
      email.Text = id("PreferredEmail")
      profile_version.Text = id("profileVersion")
      [region].Text = id("region")
      
      Message.Text = "You've been signed in for: " + id.TimeSinceSignIn + " seconds."
   End Sub

  
  </Script>
  
  <html>
    <head>
  	<title>Test Page for Passport</title>
    </head>
  
    <body>
          <h2>Passport Information Page for ASP.NET</h2>
  	
  	<Sams:PassportLogo Runat="Server" />
  
  	<br><br>
  
  	<font color="red"><asp:Label id="Message" Runat="Server" /></font>
  
      <div id="passportInfo" align="left" runat="Server" >
        <table border="0" cellpadding="0" 
      cellspacing="0" 
      style="border-collapse: collapse" 
      bordercolor="#111111" 
      width="100%" 
      id="AutoNumber1" 
      runat="Server">
          <tr>
            <td width="13%" align="right">&nbsp;</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">&nbsp;</td>
         </tr>
         <tr>
           <td width="13%" align="right">Passport Identity:</td>
           <td width="2%">&nbsp;</td>
           <td width="85%"><asp:Label id="identity" 
     runat="server" 
     size="50" 
     name="identity" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Accessibility</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="accessibility" 
     runat="server" 
     size="50" 
     name="accessibility" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Birthdate</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="birthdate" 
     runat="server" 
     size="50" 
     name="birthdate" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Birthdate Precision</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="birthdate_precisison" 
     runat="server" 
     size="50" 
     name="birthdate_precisison" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">City</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="city" 
     runat="server" 
     size="50" 
     name="city" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Country</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="country" 
     runat="server" 
     size="50" 
     name="country" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Directory</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="directory" 
     runat="server" 
     size="50" 
     name="directory" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">&nbsp;</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           &nbsp;</td>
         </tr>
         <tr>
           <td width="13%" align="right">Flags</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="flags" 
     runat="server" 
     size="50" 
     name="flags" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Gender</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="gender" 
     runat="server" 
     size="50" 
     name="gender" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Language Preference</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="language" 
     runat="server" 
     size="50" 
     name="language" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Member ID High</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="member_id_high" 
     runat="server" 
     size="50" 
     name="member_id_high" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Member ID Low</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="member_id_low" 
     runat="server" 
     size="50" 
     name="member_id_low" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Member Name</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="member_name" 
     runat="server" 
     size="50" 
     name="member_name" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Nick Name</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="nick_name" 
     runat="server" 
     size="50" 
     name="nick_name" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Postal Code</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="postal_code" 
     runat="server" 
     size="50" 
     name="postal_code" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Preferred Email</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="email" 
     runat="server" 
     size="50" 
     name="email" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Profile Version</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="profile_version" 
     runat="server" 
     size="50" 
     name="profile_version" /></td>
         </tr>
         <tr>
           <td width="13%" align="right">Region</td>
           <td width="2%">&nbsp;</td>
           <td width="85%">
           <asp:Label id="region" 
     runat="server" 
     size="50" 
     name="region" /></td>
         </tr>
       </table>
 </div>
     
   </body>
 </html>
