<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" 
  Language="C#"%>
<%@ Register TagPrefix="Mobile" Namespace="System.Web.UI.MobileControls"
Assembly="System.Web.Mobile" %>

<Script Runat="Server">

void doSomething( Object s, ListCommandEventArgs e )
{
  movieLabel.Text = e.ListItem.Text;
  ActiveForm = form2;    
}

</Script>

<Mobile:Form runat="server" id="form1">
<Mobile:List 
  ID="movies"
  OnItemCommand="doSomething"
  Runat="Server">
<Item text="Star Wars"/>
<Item text="Gone with the Wind"/>
<Item text="Citizen Kane"/>

<DeviceSpecific>
<Choice Filter="IsHTML32">
  <HeaderTemplate>
  <h2>Welcome to the Movie Reservation System!</h2>
  </HeaderTemplate>

  <ItemTemplate>
  <p>
  <asp:Button
   Text='<%# Container.ToString() %>'
   Runat="Server" />
  </ItemTemplate>

  <FooterTemplate>
  <p>
  <small>All Contents &copy; copyright 2002 by the Company</small>
  </FooterTemplate>
</Choice>
</DeviceSpecific>

</Mobile:List>
</Mobile:Form>

<Mobile:Form runat="server" id="form2">
<b>You selected:</b>
<br/>
<Mobile:Label 
 ID="movieLabel"
 Runat="Server"/>
</Mobile:Form>

