<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" 
  Language="C#"%>
<%@ Register TagPrefix="Mobile" Namespace="System.Web.UI.MobileControls"
  Assembly="System.Web.Mobile" %>

<Script Runat="Server">

public class Movie 
{

  private String _movieTitle, _movieCat, _ticketPrice;

  public String movieTitle 
  {
    get
    {
      return _movieTitle;
    }
  }

  public String movieCat {
    get
    {
      return _movieCat;
    }
  }

  public String ticketPrice 
  {
    get 
    {
      return _ticketPrice;
    }
  }

  public Movie ( String movieTitle, String movieCat, String ticketPrice )
  {
    _movieTitle = movieTitle;
    _movieCat = movieCat;
    _ticketPrice = ticketPrice;
  }

}

void Page_Load( Object s, EventArgs e )
{
  ArrayList myArrayList = new ArrayList();

  myArrayList.Add( new Movie( "Star Wars", "SciFi", "$7.98" ) );
  myArrayList.Add( new Movie( "Citizen Kane", "Drama", "$4.00" ) );
  
  movieList.DataSource = myArrayList;
  movieList.DataBind();
}

void doSomething( Object s, ObjectListCommandEventArgs e )
{
  ActiveForm = selectMovie;
}
  
</Script>

<Mobile:Form id="displayMovies" runat="Server">

<Mobile:ObjectList
  ID="movieList" 
  AutoGenerateFields="False"
  LabelField="movieTitle"
  OnItemCommand="doSomething"
  Runat="Server">
<Field DataField="movieTitle" Title="Movie" />
<Field DataField="movieCat" Title="Category" />
<Field DataField="ticketPrice" Title="Price" />
</Mobile:ObjectList>

</Mobile:Form>

<Mobile:Form id="selectMovie" runat="Server">

<b>Movie Selected!</b>

</Mobile:Form>