using System;
using System.Web;
using System.Collections;

public class HelloWorldModule : IHttpModule {

	public void Init (HttpApplication application) {
		application.BeginRequest += (new EventHandler(this.Application_BeginRequest));
		application.EndRequest += (new EventHandler(this.Application_EndRequest));
	}
	 
	private void Application_BeginRequest(Object source, EventArgs e) {
		HttpApplication application = (HttpApplication) source;
		HttpContext context = application.Context ;       
		   
		context.Response.Write("Beginning of Request");
	}
			
	private void Application_EndRequest(Object source, EventArgs e) {
		HttpApplication application = (HttpApplication) source;
		HttpContext context = application.Context;       

		context.Response.Write("End of Request");
	}

	public void Dispose() {}

}
