<%@ WebHandler Language="VB" Class="ServerVarsHandler" Debug="True" %>

Imports System
Imports System.Web
Imports System.Text
Imports System.Collections.Specialized

Public Class ServerVarsHandler
   Implements IHttpHandler 
   
   
   Public Sub ProcessRequest(Context As HttpContext) Implements IHttpHandler.ProcessRequest
      
      Dim request As HttpRequest = Context.Request
      Dim response As HttpResponse = Context.Response
      
      Dim coll As NameValueCollection = request.ServerVariables
      
      Dim keys As [String]() = coll.AllKeys
      
      Dim count As Integer = keys.Length
      
      Dim i As Integer
      For i = 0 To count - 1
         response.Write((keys(i) + " = " + coll.Get(i) + "<br>"))
      Next i
   End Sub
    
   
   Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
      Get
         Return True
      End Get
   End Property 
End Class