'vbc /target:library /r:System.Web.dll /r:System.dll error.vb

Imports System
Imports System.Web
Imports System.Diagnostics
Imports System.Collections

Public Class ErrorHandlerModule
	Implements IHttpModule

    Public Sub Init(application As HttpApplication) Implements IHttpModule.Init
        AddHandler application.Error , AddressOf Me.Application_Error
    End Sub

    Private Sub WriteEventLog(logName As [String], message As [String], eventType As EventLogEntryType)

        If EventLog.SourceExists(logName) = False Then
            EventLog.CreateEventSource(logName, logName)
        End If

        Dim log As New EventLog()

        log.Source = logName
        log.WriteEntry(message, eventType)
    End Sub

    Private Sub Application_Error([source] As [Object], e As EventArgs)

        Dim application As HttpApplication = CType([source], HttpApplication)
        Dim context As HttpContext = application.Context
	Dim message As String = "Url: " + context.Request.Path + "\n" + "Error: " + context.Error.ToString()

        WriteEventLog(context.Request.ApplicationPath, message, EventLogEntryType.Error)
    End Sub

    Public Sub Dispose() Implements IHttpModule.Dispose
    End Sub

End Class
