<%@ Page aspcompat=true %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="ADODB" %>
<%@ Assembly name="ADODB" %>
<script language="VB" runat="server">
Sub Page_Load(sender As Object, e As EventArgs)
  Dim conn As Connection
  Dim recset As Recordset
  Dim strConnection As String
  Dim i As Integer

  ' Connection string for the sample "pubs" database
  strConnection = _
    "DRIVER={SQL Server};SERVER=(local);UID=sa;PWD=;DATABASE=pubs;"

  Try
    ' Create instances of the two ADO objects
    conn = New Connection()
    recset = Server.CreateObject(Type.GetType("ADODB.Recordset, ADODB"))
  Catch ex as Exception
    Response.Write("Unable to instantiate ADO objects.  " + ex.Message)
  End Try

  Try
    ' Call a method on the Connection object
    conn.Open(strConnection)
  Catch ex as Exception
    Response.Write("Unable to open connection to database.  " + ex.Message)
  End Try

  Try
    ' Set properties and call a method on the Recordset object
    recset.CursorType = CursorTypeEnum.adOpenKeyset
    recset.LockType = LockTypeEnum.adLockOptimistic
    recset.Open("titles", conn, , , CommandTypeEnum.adCmdTable)
  Catch ex as Exception
    Response.Write("Unable to open recordset.  " + ex.Message)
  End Try

  Dim table As DataTable
  Dim row As DataRow

  ' Create a DataTable
  table = New DataTable

  ' Add the appropriate columns
  For i = 0 to recset.Fields.Count - 1
    table.Columns.Add(New DataColumn(recset.Fields(i).Name, _
      GetType(String)))
  Next

  ' Scan through the recordset and add a row for each record
  Do While Not recset.EOF
    row = table.NewRow()

    ' Look at each field and add an entry to the row
    For i = 0 to recset.Fields.Count - 1
      row(i) = recset.Fields(i).Value.ToString()
    Next

    ' Add the row to the DataTable
    table.Rows.Add(row)

    recset.MoveNext()
  Loop

  ' Update the DataGrid control
  dataGrid1.DataSource = New DataView(table)
  dataGrid1.DataBind()

  ' Cleanup
  recset.Close()
  conn.Close()
End Sub
</script>

<html><title>Using ADO in ASP.NET</title>
  <body>
    <form runat=server>
      <asp:DataGrid id="dataGrid1" runat="server"
        BorderColor="black"
        GridLines="Both"
        BackColor="#ffdddd"
      />
    </form>
  </body>
</html>
