<%@ Page aspcompat=true %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="ADODB" %>
<%@ Assembly name="ADODB" %>
<script language="C#" runat="server">
void Page_Load(object sender, EventArgs e)
{
  Connection connection = null;
  Recordset recordset = null;
  string strConnection;
  int i;

  // Connection string for the sample "pubs" database
  strConnection = 
    "DRIVER={SQL Server};SERVER=(local);UID=sa;PWD=;DATABASE=pubs;";

  try
  {
    // Create instances of the two ADO objects
    connection = new Connection();
    recordset = (Recordset)Server.CreateObject(
      Type.GetType("ADODB.Recordset, ADODB"));
  }
  catch (Exception ex)
  {
    Response.Write("Unable to instantiate ADO objects.  " + ex.Message);
  }

  try
  {
    connection.Open(strConnection, "", "", -1);
  }
  catch (Exception ex)
  {
    Response.Write("Unable to open connection to database.  " 
      + ex.Message);
  }

  try
  {
    // Set properties and call a method on the Recordset object
    recordset.CursorType = CursorTypeEnum.adOpenKeyset;
    recordset.LockType = LockTypeEnum.adLockOptimistic;
    recordset.Open("titles", connection, CursorTypeEnum.adOpenUnspecified,
      LockTypeEnum.adLockUnspecified, (int)CommandTypeEnum.adCmdTable);
  }
  catch (Exception ex)
  {
    Response.Write("Unable to open recordset.  " + ex.Message);
  }

  DataTable table;
  DataRow row;

  // Create a DataTable
  table = new DataTable();

  // Add the appropriate columns
  for (i = 0; i < recordset.Fields.Count; i++)
    table.Columns.Add(new DataColumn(recordset.Fields[i].Name,
                      typeof(String)));

  // Scan through the recordset and add a row for each record
  while (!recordset.EOF)
  {
    row = table.NewRow();

    // Look at each field and add an entry to the row
    for (i = 0; i < recordset.Fields.Count; i++)
      row[i] = recordset.Fields[i].Value.ToString();

    // Add the row to the DataTable
    table.Rows.Add(row);

    recordset.MoveNext();
  }

  // Update the DataGrid control
  dataGrid1.DataSource = new DataView(table);
  dataGrid1.DataBind();

  // Cleanup
  recordset.Close();
  connection.Close();
}
</script>

<html><title>Using ADO in ASP.NET</title>
  <body>
    <form runat=server>
      <asp:DataGrid id="dataGrid1" runat="server"
        BorderColor="black"
        GridLines="Both"
        BackColor="#ffdddd"
      />
    </form>
  </body>
</html>
