<script language="VB" runat="server">
Declare Function QueryPerformanceCounter Lib "kernel32.dll" _
        (ByRef lpPerformanceCount As Long) As Boolean
Declare Function QueryPerformanceFrequency Lib "kernel32.dll" _
        (ByRef lpFrequency As Long) As Boolean
 
Sub Page_Load(sender as Object, e as EventArgs)
  Dim CurrentTime as Long
 
  If Not Page.IsPostBack then
    lblTime.Text = ""
    CurrentTime = 0
    Session("LastTime") = New Long()
    Session("Frequency") = New Long()

    If Not QueryPerformanceFrequency(Session("Frequency")) Then
      lblTime.Text = "Error: Server doesn't support performance counters"
      btnSubmit.Enabled = False
    End If
  Else
    ' a postback, so calculate the time elapsed
    If (QueryPerformanceCounter(CurrentTime) And Session("LastTime") <> 0)
      lblTime.Text = lblTime.Text & _
        ((CurrentTime - Session("LastTime")) _
        / Session("Frequency")).ToString() _
        & " seconds since last click.<br>"
    Else
      lblTime.Text = lblTime.Text & "Please click again.<br>"
    End If
    Session("LastTime") = CurrentTime
  End If
End Sub
</script>
<html><title>Using Performance Counters in ASP.NET</title>
<body>
  <form method="post" runat="server">
    <b>Test Your Reflexes:</b><br>
    <asp:button id="btnSubmit" runat="server" 
        type="Submit" text="Click Me!" />
    <p><hr><p>
    <asp:label runat="server" id="lblTime" />
  </form>
</body>
</html>
