<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
 void SqlSaveForm( Object s, EventArgs e )
 {
  SqlConnection myConnection;
  SqlCommand myCommand;
  String sqlString;
  if ( IsValid )
  {
    // Save Form Data
    myConnection = new SqlConnection( "Server=localhost;uid=sa;PWD=secret;database=myData" );
    sqlString = "Insert Into surveys ( s_firstname, s_lastname, s_favColor ) Values ( @firstname, @lastname, @favColor )";
    myCommand = new SqlCommand( sqlString, myConnection );
    myCommand.Parameters.Add( new SqlParameter( "@FirstName", SqlDbType.VarChar, 50 ));
    myCommand.Parameters[ "@FirstName" ].Value = firstname.Text;
    myCommand.Parameters.Add( new SqlParameter( "@LastName", SqlDbType.VarChar, 50 ));
    myCommand.Parameters[ "@LastName" ].Value = lastname.Text;
    myCommand.Parameters.Add( new SqlParameter( "@favColor", SqlDbType.VarChar, 10 ));
    myCommand.Parameters[ "@favColor" ].Value = favColor.SelectedItem.Text;
    myConnection.Open();
    myCommand.ExecuteNonQuery();
    myConnection.Close();
    // Transfer to Thank You Page
    Response.Redirect( "Thankyou.aspx" );
  }
}
</Script>


<html>
<head><title>Customer Survey</title></head>
<body>
 
Please complete the following form:
 
<form runat="Server">
 
<p>First Name:
<br><asp:TextBox id="firstname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="firstname"
  Runat="Server">   
  You must enter your first name!
</asp:RequiredFieldValidator>
 
<p>Last Name:
<br><asp:TextBox id="lastname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="lastname"
  Runat="Server">
  You must enter your last name!
</asp:RequiredFieldValidator>
 
<p>Favorite Color:
<br><asp:DropDownList id="favColor" Runat="Server">
      <asp:ListItem>Red</asp:ListItem>
      <asp:ListItem>Green</asp:ListItem>
      <asp:ListItem>Blue</asp:ListItem>
    </asp:DropDownList>
<p>
<asp:button text="Submit Survey!" OnClick="SqlSaveForm" Runat="Server"/>
 
</form>
 
</body>
</html>
