<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
  Sub Page_Load( s As Object, e As EventArgs )
    If Not isPostBack Then
      BindData
    End If
  End Sub

  Sub BindData
    Dim myConnection As SQLConnection
    Dim myCommand As SQLCommand
    myConnection = New SQLConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" )
    myCommand = New SQLCommand( "Select CategoryName from Categories", myConnection )
    myConnection.Open()
    myDataList.DataSource = myCommand.ExecuteReader()
    myDataList.DataBind()
    myConnection.Close()
  End Sub

  Sub pickCat( s As Object, e As DataListCommandEventArgs )
    myDataList.SelectedIndex = e.Item.ItemIndex
    BindData
  End Sub
</Script>

<html>
<head><title>Categories</title></head>
<body>

<form Runat="Server">

<asp:DataList
  id="myDataList"
  cellpadding=10
  cellspacing=0
  gridlines="both"
  RepeatColumns="3"
  RepeatDirection="Horizontal"
  OnItemCommand="pickCat"
  Runat="Server">

  <ItemTemplate>
    <asp:LinkButton
      id="myLink"
      Text='<%# Container.DataItem( "CategoryName" ) %>'
      Runat="Server"/>
  </ItemTemplate>

  <SelectedItemTemplate>
     <b><%# Container.DataItem( "CategoryName" ) %></b>
  </SelectedItemTemplate>

</asp:DataList>

</form>

</body>
</html>
