<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
Sub SqlSaveForm( s As Object, e As EventArgs )
  Dim myConnection As SqlConnection
  Dim myCommand As SqlCommand
  Dim sqlString As String
  If isValid Then
    ' Save Form Data
    myConnection = New SqlConnection( "Server=localhost;uid=sa;PWD=secret;database=myData" )
    SQLString = "Insert Into surveys ( s_firstname, s_lastname, s_favColor ) " _
      & "Values ( @firstname, @lastname, @favColor )"
    myCommand = New SqlCommand( SQLString, myConnection )
    myCommand.Parameters.Add( New SqlParameter( "@FirstName", SqlDbType.Varchar, 50 ))
    myCommand.Parameters( "@FirstName" ).Value = FirstName.Text
    myCommand.Parameters.Add( New SqlParameter( "@LastName", SqlDbType.Varchar, 50 ))
    myCommand.Parameters( "@LastName" ).Value = LastName.Text
    myCommand.Parameters.Add( New SqlParameter( "@favColor", SqlDbType.Varchar, 10 ))
    myCommand.Parameters( "@favColor" ).Value = favColor.SelectedItem.Text
    myConnection.Open()
    myCommand.ExecuteNonQuery()
    myConnection.Close()
    ' Transfer to Thank You Page
    Response.Redirect( "Thankyou.aspx" )
  End If
End Sub
</Script>


<html>
<head><title>Customer Survey</title></head>
<body>
 
Please complete the following form:
 
<form runat="Server">
 
<p>First Name:
<br><asp:TextBox id="firstname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="firstname"
  Runat="Server">   
  You must enter your first name!
</asp:RequiredFieldValidator>
 
<p>Last Name:
<br><asp:TextBox id="lastname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="lastname"
  Runat="Server">
  You must enter your last name!
</asp:RequiredFieldValidator>
 
<p>Favorite Color:
<br><asp:DropDownList id="favColor" Runat="Server">
      <asp:ListItem>Red</asp:ListItem>
      <asp:ListItem>Green</asp:ListItem>
      <asp:ListItem>Blue</asp:ListItem>
    </asp:DropDownList>
<p>
<asp:button text="Submit Survey!" OnClick="SqlSaveForm" Runat="Server"/>
 
</form>
 
</body>
</html>
