<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>

<script language="c#" runat="server">

 void Page_Load(Object sender, EventArgs e) {

  DataSet CacheItemDataSetXml = (DataSet) Cache.Get("CacheItemDataSetXml");

  if (CacheItemDataSetXml == null) {

   Response.Write("Dynamic");
   DataSet ds = new DataSet();
   FileStream FStream = new FileStream(Server.MapPath("authors.xml"), FileMode.Open, FileAccess.Read);
   StreamReader SReader = new StreamReader(FStream);
   ds.ReadXml(SReader);
   FStream.Close();


   dg1.DataSource = ds;

   Cache.Insert("CacheItemDataSetXml", ds, new CacheDependency(Server.MapPath("authors.xml")), DateTime.Now.AddMinutes(1), TimeSpan.Zero);



  } else {

   Response.Write("Cache");
   dg1.DataSource = CacheItemDataSetXml;

 }

 DataBind();

}

</script>

<html>
 <body>
  <asp:datagrid id="dg1" runat="server" Font-Size="10" />
 </body>
</html>