<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script language="c#" runat="server">

 void Page_Load(Object sender, EventArgs e) {

  if (! IsPostBack) { Bind(); }

 }

 void Bind() {

  DataSet CacheItemDataSet = (DataSet) Cache.Get("CacheItemDataSet");

  if (CacheItemDataSet == null) {

   Response.Write("Dynamic");
   DataSet ds = new DataSet();
   SqlConnection sCon = new SqlConnection("server=localhost;" +
    "uid=sa;pwd=;database=Northwind");
   SqlDataAdapter sda = new SqlDataAdapter("select Top 10 * from products", sCon);
   sda.Fill(ds, "Products");

   dg1.DataSource = ds.Tables["Products"].DefaultView;

   Cache.Insert("CacheItemDataSet", ds, null, DateTime.Now.AddMinutes(1), TimeSpan.Zero);


  } else {

   Response.Write("Cached");

   dg1.DataSource = CacheItemDataSet;

  }

 DataBind();

 }

 void Remove(Object sender, EventArgs e) {

  if (Cache.Get("CacheItemDataSet") != null) {

   Cache.Remove("CacheItemDataSet");
   Response.Redirect("listing15.6.4.aspx");

  }

 }

</script>

<html>
 <body>
  <form runat="server">
   <asp:datagrid id="dg1" runat="server" Font-Size="10" />
   <p>
   <asp:button runat="server" text="Remove Cached Item" OnClick="Remove" />
  </form>
 </body>
</html>