using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Globalization;
using System.Threading;

public class myCodeBehind_1622 : Page{

  public DataGrid myDataGrid;
  public DropDownList EncodType;
  public Label cultureType;

  public void Page_Load(object sender, EventArgs e){
    CultureInfo culture;
    SqlDataAdapter myDataAdapter;
    DataSet myDataSet = new DataSet();

    if(!Page.IsPostBack){
      culture = CultureInfo.CurrentCulture;
    }else{
      culture = new CultureInfo(EncodType.SelectedItem.Value);
      Thread.CurrentThread.CurrentCulture = culture;
    }

    cultureType.Text = culture.EnglishName;

    myDataAdapter = new SqlDataAdapter("Select LastName, FirstName, BirthDate, HireDate From Employees", 
      "server=localhost;database=Northwind;uid=sa;pwd=;");
    myDataAdapter.Fill(myDataSet, "Employees");

    myDataGrid.DataSource = myDataSet.Tables["Employees"];
    myDataGrid.DataBind();
  }

}