Imports System
Imports System.Data
Imports System.Data.SqlClient
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports System.Globalization
Imports System.Threading
Imports System.Resources
Imports System.IO

Public Class myCodeBehind_1632 : Inherits Page

  Public myDataGrid As DataGrid
  Public EncodType As DropDownList
  Public CultureType As Label
  Public Choose As Label
  Public Welcome As Label
  Public rm As ResourceManager = ResourceManager.CreateFileBasedResourceManager("myResourceFile", Server.MapPath("/resources") & Path.DirectorySeparatorChar, Nothing)

  Public Sub Page_Load(Sender As Object, E As EventArgs)
    Dim culture As CultureInfo
    Dim myDataAdapter As SqlDataAdapter
    Dim myDataSet As New DataSet

    If Not Page.IsPostBack Then
      culture = CultureInfo.CurrentCulture
    Else
      culture = New CultureInfo(EncodType.SelectedItem.Value)
      Thread.CurrentThread.CurrentCulture = culture
    End If

    CultureType.Text = culture.EnglishName
    Welcome.Text = rm.GetString("Greeting", culture)
    Choose.Text = rm.GetString("EncMessage", culture)
    
    myDataGrid.Columns(0).HeaderText = rm.GetString("FirstName", culture)
    myDataGrid.Columns(1).HeaderText = rm.GetString("LastName", culture)
    myDataGrid.Columns(2).HeaderText = rm.GetString("BirthDate", culture)
    myDataGrid.Columns(3).HeaderText = rm.GetString("HireDate", culture)

    myDataAdapter = New SqlDataAdapter("Select LastName, FirstName, BirthDate, HireDate From Employees", _
      "server=localhost;database=Northwind;uid=sa;pwd=;")
    myDataAdapter.Fill(myDataSet, "Employees")

    myDataGrid.DataSource = myDataSet.Tables("Employees").DefaultView
    myDataGrid.DataBind()
  End Sub

End Class

