<%@ Page Language="CS" %>

<script runat=server>
   void AddSession(Object sender, EventArgs e) {
      Session["MySession"] = tbText.Text;
      lblMessage.Text = "Session data updated! <P>Your session contains: <font color=red>" + Session["MySession"].ToString() + "</font>";
   }

   void CheckSession(Object sender, EventArgs e) {
      if (Session["MySession"] == null) {
         lblMessage.Text = "Nothing, session data lost!";
      } else {
         lblMessage.Text = "Your session contains: <font color=red>" +  Session["MySession"].ToString() + "</font>";
      }
   }
</script>

<html><body>
   <form runat=server>
      <asp:TextBox id="tbText" runat=server />
      <asp:Button id="btAdd" runat=server 
         OnClick="AddSession" Text="Add to Session State"/>
      <asp:Button id="btView" runat=server 
         OnClick="CheckSession" Text="View Session State"/>
   </form>

   <asp:Label id="lblMessage" runat="server"/>
</body></html>

