<%@ Page Language="CS" %>

<script runat=server>
   void AddCookie(Object sender, EventArgs e) {
      Response.Cookies["MyCookie"]["Data"] = tbText.Text;
      Response.Cookies["MyCookie"]["Time"] = DateTime.Now.ToString("G");
      lblMessage.Text = "Cookie created! <P>" +
         "Your cookie contains: <font color=red>" +
         Request.Cookies["MyCookie"]["Data"] + "<br>" +
         Request.Cookies["MyCookie"]["Time"] + "</font>";
   }

   void CheckCookie(Object sender, EventArgs e) {
      if (Request.Cookies["MyCookie"] == null) {
         lblMessage.Text = "There is no cookie!";
      } else {
         lblMessage.Text = "Your cookie contains: " +
            "<font color=red>" +
            Request.Cookies["MyCookie"]["Data"] + "<br>" +
            Request.Cookies["MyCookie"]["Time"] + "</font>";
      }
   }
</script>

<html><body>
   <form runat=server>
      <asp:TextBox id="tbText" runat=server />
      <asp:Button id="btAdd" runat=server 
         OnClick="AddCookie" Text="Add Cookie"/>
      <asp:Button id="btView" runat=server 
         OnClick="CheckCookie" Text="View Cookie"/>
   </form>

   <asp:Label id="lblMessage" runat="server"/>
</body></html>

