<%@ Page debug=true %>

 <script language="C#" runat="server">
  void Page_Load(Object sender, EventArgs e)
  {
    // Create a SortedList
    SortedList slTestScores = new SortedList();

    // Use the Add method to add students' Test Scores
    slTestScores.Add("Judy", 87.8);
    slTestScores.Add("John", 79.3);
    slTestScores.Add("Sally", 94.0);
    slTestScores.Add("Scott", 91.5);
    slTestScores.Add("Edward", 76.3);

    // Display a list of test scores
    lblScores.Text = "<i>There are " + slTestScores.Count +
                     " Students...</i><br>";

    foreach (DictionaryEntry dictEntry in slTestScores)
      lblScores.Text += dictEntry.Key + " - " + dictEntry.Value + "<br>";

    // Has Edward taken the test?  If so, reduce his grade by 10 points
    if (slTestScores.ContainsKey("Edward"))
      slTestScores["Edward"] = ((double) slTestScores["Edward"]) - 10.0;

    // Assume Sally Cheated and remove her score from the list
    slTestScores.Remove("Sally");


    // Grade on the curve - up everyone's score by 5 percent
    for (int iLoop = 0; iLoop < slTestScores.Count; iLoop++)
      slTestScores.GetValueList()[iLoop] = (double) slTestScores.GetValueList()[iLoop] * 1.05;


    // Display the new grades
    for (int iLoop = 0; iLoop < slTestScores.Count; iLoop++)
      lblCurvedScores.Text += (slTestScores.GetKeyList()[iLoop]).ToString() + " - " +
                        String.Format("{0:#.#}", (double) slTestScores.GetByIndex(iLoop)) + "<br>";


    slTestScores.Clear();  // remove all entries in the sorted list...
  }
 </script>

 <html>
 <body>
   <b>Raw Test Results:</b><br>  
   <asp:label id="lblScores" runat="server" />
   <p>

   <b>Curved Test Results:</b><br>  
   <asp:label id="lblCurvedScores" runat="server" />
 </body>
 </html>
