<script language="VB" runat="server">

  Sub Page_Load(sender as Object, e as EventArgs)
    ' Create a Queue
    Dim qTasks as New Queue()

    qTasks.Enqueue("Wake Up")
    qTasks.Enqueue("Shower")
    qTasks.Enqueue("Get Dressed")
    qTasks.Enqueue("Go to Work")
    qTasks.Enqueue("Work")
    qTasks.Enqueue("Come Home")
    qTasks.Enqueue("Eat Dinner")
    qTasks.Enqueue("Go to Sleep")

    ' To determine if an element exists in the Queue,
    ' use the Contains method
    If Not qTasks.Contains("Shower") Then
      ' Forgot to bathe!
      Response.Write("<b><i>Stinky!</i></b>")
    End If

    ' Output the list of tasks
    lblTaskList.Text &= "<i>There are " & qTasks.Count & _
                       " tasks for today...</i><br>"

    Dim iCount as Integer = 1
    Do While qTasks.Count > 0
      lblTaskList.Text &= iCount.ToString() & ".) " & _
                          qTasks.Dequeue() & "<br>"
      iCount += 1
    Loop
   

    ' At this point the queue is empty, since we've
    ' Dequeued all of the elements.
  End Sub

 </script>

 <html>
 <body>

   <b>An In-Order List of Tasks for the Day:</b><br>
   <asp:label runat="server" id="lblTaskList" />

 </body>
 </html>
