<script language="c#" runat="server">

  void Page_Load(Object sender, EventArgs e)
  {
    // See if we have a stack created or not:
    if (Session["History"] == null)
    {
      // the history stack has not been created, so create it now.
      Session["History"] = new Stack();
    } else {
      // we already have a history stack.  Display the history:
      IEnumerator enumHistory = ((Stack) Session["History"]).GetEnumerator();
      while (enumHistory.MoveNext())
        lblStackHistory.Text += "<a href=\"" + enumHistory.Current +
                                "\">" + enumHistory.Current + "</a><br>";
    }

    // Push current URL onto Stack IF it is not already on the top
    if (((Stack) Session["History"]).Count > 0)
    {
      if(((Stack) Session["History"]).Peek().ToString() != Request.Url.PathAndQuery.ToString())
        ((Stack) Session["History"]).Push(Request.Url.PathAndQuery);
    } else
      ((Stack) Session["History"]).Push(Request.Url.PathAndQuery);
  
  }

 </script>

 <html>
 <body>

    <b>Session History</b><br>
    <asp:label runat=server id="lblStackHistory" /><br>

    <a href="ClearStackHistory.CSharp.aspx">Clear Stack History</a><br>
    <a href="Back.CSharp.aspx">Back</a>

    <p>
    <b>Links:</b><br>
    <li><a href="Listing2.1.5.aspx">Listing2.1.5.aspx</a><br>
    <li><a href="Listing2.1.5.b.aspx">Listing2.1.5.b.aspx</a><br>

 </body>
 </html>
