<%@ Page Debug=True%>
<%@ Import Namespace="System.Diagnostics" %>
<script language="VB" runat="server">
  Sub Page_Load(sender as Object, e as EventArgs)

    Dim objMemPerf as New PerformanceCounter("Memory", "Available Bytes")
    lblFreeMemory.Text = String.Format("{0:#,###}", objMemPerf.NextValue()) & " bytes"

    Dim objProcPerf as New PerformanceCounter("System", "Processes")
    lblProcesses.Text = objProcPerf.NextValue().ToString()


    Dim strAppName as String = Request.ServerVariables("APPL_MD_PATH")
    strAppName = strAppName.Replace("/", "_")
    Dim objCompPerf as New PerformanceCounter("ASP.NET Applications", _
                                              "Anonymous Requests", strAppName)
    
    lblPageReqs.Text = objCompPerf.NextValue().ToString()
  End Sub
</script>

<html>
<body>
  <h1>Web Server Stats </h1>
  <i>These stats were taken as of <%=Now().ToLongDateString()%> at
  <%=Now().ToLongTimeString()%>...</i><p>

  <b>Available Memory:</b> <asp:label id="lblFreeMemory" runat="server" /><br>
  <b>Processes:</b> <asp:label id="lblProcesses" runat="server" /><br>
  <b>ASP.NET Page Requests:</b>
     <asp:label id="lblPageReqs" runat="server" /><br>
</body>
</html>