<%@ Import Namespace="System.IO" %>
<script language="VB" runat="server">

  Sub Page_Load(sender as Object, e as EventArgs)

    If Not Page.IsPostBack then
      ' What directory are we interested in?
      const strDir = "C:\My Projects\ASP.NET Book\Chapter 2\Code\VB"
      lblHeader.Text = "<b><u>File Listing for " & strDir & ":</u></b>"

      Dim dirInfo as New DirectoryInfo(strDir)

      ' Get the files for the directory strDir
      Dim aFiles as FileInfo() = dirInfo.GetFiles("*.aspx")

      dlFileList.DataSource = aFiles
      dlFileList.DataBind()
    End If
  End Sub


  Sub dlFileList_Select(sender as Object, e as EventArgs)
    Dim strFilePath as String = dlFileList.DataKeys(dlFileList.SelectedItem.ItemIndex).ToString()

    Dim objFileInfo as FileInfo = new FileInfo(strFilePath)

    Dim objStream as StreamReader = objFileInfo.OpenText()
    Dim strContents as String = objStream.ReadToEnd()
    objStream.Close()

    lblFileContents.Text = "<b>Contents of " & objFileInfo.Name & ":</b>" & _
                           "<xmp>" & vbCrLf & strContents & vbCrLf & "</xmp>"
  End Sub

</script>

<html>
<body>

  <form runat="server">

  <asp:label id="lblHeader" runat="server" /><br>
  <asp:DataList runat="server" id="dlFileList"
                OnSelectedIndexChanged="dlFileList_Select"
                DataKeyField="FullName" >
    <ItemTemplate>
      <li><%# DataBinder.Eval(Container.DataItem, "Name") %><br>
      <font size=-1>
        [<asp:linkbutton Text="View Contents" CommandName="Select" runat="server"/>] |
        [<%# DataBinder.Eval(Container.DataItem, "Length") %> bytes]
      </font>
      <p>
    </ItemTemplate>
  </asp:DataList>

  <p><hr><p>
  <asp:label runat="server" id="lblFileContents" />

  </form>
</body>
</html>