<%@ Import Namespace="System.Net" %>
<script language="VB" runat="server">
  Sub btnSubmit_OnClick(sender as Object, e as EventArgs)
    'Create a WebClient instance
    Dim objWebClient as New WebClient()

    Dim strHeader as String
    lblHTML.Text = "<b>Request Header Information:</b><br>"
    For Each strHeader in objWebClient.Headers
      lblHTML.Text &= strHeader & " - " & _
                      objWebClient.Headers(strHeader) & "<br>"
    Next

    'Read the Response into an array of bytes, but use the UTF8Encoding
    'class to convert the byte array into a string
    Dim objUTF8 as New UTF8Encoding()
    Dim strRequestedHTML as String
    strRequestedHTML = objUTF8.GetString(objWebClient.DownloadData(txtURL.Text))


    lblHTML.Text &= "<p><b>Response Header Information:</b><br>"
    For Each strHeader in objWebClient.ResponseHeaders
      lblHTML.Text &= strHeader & " - " & _
                      objWebClient.ResponseHeaders(strHeader) & "<br>"
    Next

    'Output the contents of the Web request
    lblHTML.Text &= strRequestedHTML 

  End Sub
</script>

<html>
<body>
  <form runat="server">
    <font size=+1><b>Poor Man's Internet Explorer</b></font>
    <br>Browse the Web:
    <asp:textbox id="txtURL" runat="server" /><br>
    <i>Enter a URL starting with <code>http://</code></i><br>
    <asp:button id="btnSubmit" runat="server" Text="  Go!  "
                OnClick="btnSubmit_OnClick" />

    <p><hr><p>
    <asp:label id="lblHTML" runat="server" />
  </form>
</body>
</html>