<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.Net.Sockets" %>
<%@ Import Namespace="System.Text.RegularExpressions" %>
<script language="VB" runat="server">
  Sub btnSubmit_OnClick(sender as Object, e as EventArgs)

    'Check to make sure that the email addy is in the right form
    Dim strEmail as String, strPattern as String
    strEmail = txtEmail.Text
    strPattern = "^[\w-_\.]+\@([\w]+\.)+\w+$"

    If Not Regex.IsMatch(strEmail, strPattern, RegexOptions.IgnoreCase) then
      'Invalid email address form!
      Response.Write("<font color=red><i>Your email address is in an" & _
                     " illegal format.</i></font><p>")
    Else
      'Check to see if the domain name entered in the email address exists
      Dim strDomain as String
      strDomain = strEmail.Substring(strEmail.IndexOf("@") + 1)

      'Attempt to Resolve the hostname
      Dim strIP as String
      try
        strIP = DNS.Resolve(strDomain).AddressList(0).ToString()

        'If we reach here, we have a valid email address, so do whatever
        'processing or whatnot needs to be done...
        Response.Write("<b>Valid email address.  Your domain name has " & _
                      "an IP of " & strIP & ".  Thank you!</b>")

      catch se as SocketException
        'The DNS resolve was unsuccessful...
        strIP = se.Message

        Response.Write("<font color=red><i>" & strIP & "</i></font><p>")

      end try
    End If
  End Sub
</script>

<html>
<body>
  <form runat="server">
    <br><b>Enter your Email address:</b>
    <asp:textbox id="txtEmail" runat="server" />
    <p>
    <asp:button id="btnSubmit" runat="server" Text="Check Email"
                OnClick="btnSubmit_OnClick" />
  </form>
</body>
</html>