<%@ Import Namespace="System.IO" %>
<script language="C#" runat="server">
  void btnSubmit_Click(Object sender, EventArgs e)
  {
    // Has the form been submitted?
    if (fupUpload.PostedFile != null &&
          fupUpload.PostedFile.FileName.Length > 0)
    {
      // Save the file if it has a filename and exists...
      if (fupUpload.PostedFile.FileName.Trim().Length > 0 &&
          fupUpload.PostedFile.ContentLength > 0)
      {
        const String strBaseDir = "C:\\My Projects\\Uploaded Files\\";
        String strFileName = Path.GetFileName(fupUpload.PostedFile.FileName);

        fupUpload.PostedFile.SaveAs(strBaseDir + strFileName);
 
        // File has been saved!
        lblResults.Text = "<hr><p>Your file, " + fupUpload.PostedFile.FileName +
                       ", has been saved to the Web server!<br>" +
                       "[<a href=\"/Upload/" + strFileName + "\">View File</a>]";
      }
    } else
      lblResults.Text = "<hr><p>Enter a filename to upload!";
  }
</script>

<html>
<body>
  <form runat="server" EncType="multipart/form-data">
    <h1>File Upload</h1>
    <b>Select the file to upload:</b><br>
    <input runat="server" id="fupUpload" type="file" >
    <p>
    <asp:button id="btnSubmit" runat="server" Text="Upload File" OnClick="btnSubmit_Click" />
    <p><asp:label runat="server" id="lblResults" />
  </form>
</body>
</html>