<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<script language="VB" runat="server">
  Sub btnSubmit_OnClick(sender as Object, e as EventArgs)
    'Read in the uploaded file into a Stream
    Dim objStream as Stream = fupUpload.PostedFile.InputStream
    Dim objImage as System.Drawing.Image = System.Drawing.Image.FromStream(objStream)

    'List the properties of the Image
    Dim strFileName as String = fupUpload.PostedFile.FileName
    lblImageProps.Text = "<hr><p><b>Uploaded File:</b> " & strFileName & _
         "<br><b>Type:</b> "

    'Determine the file type
    If objImage.RawFormat.Equals(ImageFormat.GIF) then lblImageProps.Text &= "GIF"
    If objImage.RawFormat.Equals(ImageFormat.BMP) then lblImageProps.Text &= "BMP"
    If objImage.RawFormat.Equals(ImageFormat.JPEG) then lblImageProps.Text &= "JPEG"
    If objImage.RawFormat.Equals(ImageFormat.Icon) then lblImageProps.Text &= "Icon"
    If objImage.RawFormat.Equals(ImageFormat.TIFF) then lblImageProps.Text &= "TIFF"

    lblImageProps.Text &= "<br><b>Dimensions:</b> " & objImage.Width & _
         " x " & objImage.Height & " pixels<br><b>Size:</b> " & _
         objStream.Length & " bytes<br>" & "<b>Horizontal Resolution:</b> " & _
         objImage.HorizontalResolution & _
         " pixels per inch<br><b>Vertical Resolution:</b> " & _
         objImage.VerticalResolution & " pixels per inch" & _
         "<p><img src=""" & strFileName & """>"

    objImage.Dispose()
  End Sub
</script>

<html>
<body>
  <form runat="server" EncType="multipart/form-data">
    <h1>Image Information</h1>
    <b>Select an image file:</b><br>
    <input runat="server" id="fupUpload" type="file">
    <p>
    <asp:button id="btnSubmit" runat="server" Text="Get Image Info"
                OnClick="btnSubmit_OnClick" />

    <p><asp:label id="lblImageProps" runat="server" />
  </form>
</body>
</html>