<script language="c#" runat="server">
  void btnSubmit_Click(Object sender, EventArgs e)
  {
    if (Page.IsValid)
      Response.Write(txtPrimeNumber.Text + " is, indeed, a good prime number.");
    else
      Response.Write(txtPrimeNumber.Text + " is <b>not</b> a prime number.");
  }


  void PrimeNumberCheck(Object sender, ServerValidateEventArgs args)
  {
    int iPrime = Convert.ToInt32(args.Value); 
    int iSqrt = Convert.ToInt32(Math.Sqrt(iPrime));

    for (int iLoop = 2; iLoop <= iSqrt; iLoop++)
      if (iPrime % iLoop == 0) {
        args.IsValid = false;
        return;
      }

    args.IsValid = true;
  }
</script>

<html>
<head>
  <script language="JavaScript">
  <!--
    function CheckPrime(sender, args)
    {
      var iPrime = parseInt(args.Value);
      var iSqrt = parseInt(Math.sqrt(iPrime));

      for (var iLoop=2; iLoop<=iSqrt; iLoop++)
        if (iPrime % iLoop == 0) 
        {
           args.IsValid = false;
           return;
        }

      args.IsValid = true;
    }
  // -->
  </script>
</head>
<body>
  <form method="post" runat="server">
    <h1>Enter Your Credit Card Information</h1>
    Enter your favorite prime number:
    <asp:textbox id="txtPrimeNumber" runat="server" />
    <asp:CustomValidator runat="server" id="custPrimeCheck"
          ControlToValidate="txtPrimeNumber"
          OnServerValidate="PrimeNumberCheck" Display="Dynamic"
          ClientValidationFunction="CheckPrime"
          ErrorMessage="Invalid Prime Number" />
    <asp:CompareValidator runat="server" id="compPrimeNumber"
          Operator="DataTypeCheck" Type="Integer"
          Display="Dynamic" ControlToValidate="txtPrimeNumber"
          ErrorMessage = "You must enter an integer value." />
    <asp:CompareValidator runat="server" id="compPrimeNumberPositive"
          Operator="GreaterThan" Type="Integer"
          Display="Dynamic" ValueToCompare="0"
          ControlToValidate="txtPrimeNumber"
          ErrorMessage = "You must enter a value greater than zero." />

    <p><asp:button id="btnSubmit" runat="server"
            OnClick="btnSubmit_Click" Text="Submit" />
  </form>
</body>
</html>