'Compile using:
'vbc /r:System.dll /r:WebAuth.dll /r:System.Web.Services.dll TestAuthApp.vb
Imports System


Class [MyClass]
   
   'Entry point which delegates to C-style main Private Function
   Public Overloads Shared Sub Main()
      Main(System.Environment.GetCommandLineArgs())
   End Sub
   
   
   Overloads Shared Sub Main(args() As String)
      
      If args.Length = 2 Then
         Dim wa As New WebAuth()
         
         If wa.Authenticate(args(0), args(1)) Then
            Console.WriteLine("The credentials are VALID!")
         Else
            Console.WriteLine("The credentials are INVALID!")
         End If
      Else
         Console.WriteLine("Usage: TestAuth [Email Address] [Password]")
         Console.WriteLine("Sample: TestAuth joeuser@somewhere.com joespassword")
      End If
   End Sub 
End Class 