Imports System
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.Security
 
Public Class ServiceLogin : Inherits Page 

	Dim UserPass As TextBox
	Dim UserEmail As TextBox 
	Dim PersistCookie As CheckBox
	Dim Msg As Label
  
	Public Sub Login_Click(sender As Object, E As EventArgs) 

		Dim IsValid As Boolean = false
		Dim wa As WebAuth = New WebAuth()

		Try 		
			IsValid = wa.Authenticate(UserEmail.Text, UserPass.Text)
		
		Catch 		
			Msg.Text = "There was a problem validating your credentials."

		End Try

		If IsValid = True Then
	
			' The credentials were valid
			FormsAuthentication.RedirectFromLoginPage(UserEmail.Text, PersistCookie.Checked)
		 
		Else
			' The credentials were invalid
			Msg.Text = "Invalid Credentials!<br>Please try again."
		End If
	End Sub

 End Class