<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Web.Security " %>
<%@ Import Namespace="System.IO" %>

<html>
<head>
<title>Cookie Authentication</title>

<script runat=server>

Private Sub Login_Click(sender As Object, E As EventArgs)
	If Not Page.IsValid Then
		Msg.Text = "Some required fields are missing"
	End If

	Dim cmd As String = "UserEmail='" & UserEmail.Value & "'"
	Dim ds As DataSet = New DataSet()
	Dim fs As FileStream = New FileStream(Server.MapPath("users_encrypted.xml"), FileMode.Open,FileAccess.Read)
	Dim reader As StreamReader = New StreamReader(fs)

	ds.ReadXml(reader)
	fs.Close()

	Dim users As DataTable = ds.Tables(0)

	Dim matches() As DataRow = users.Select(cmd)

	If (Not IsDBNull(matches)) And (matches.Length > 0) Then
		Dim row As DataRow = matches(0)
		Dim pass As String = CStr(row("UserPassword"))
		
		If (0 <> String.Compare(pass, UserPass.Value, false)) Then
			Msg.Text = "Invalid Password: Please try again"
		Else
			FormsAuthentication.RedirectFromLoginPage(UserEmail.Value, PersistCookie.Checked)
		End If
	End If
End Sub

</script>
<body>

<form runat=server>
    <h3><font face="Verdana">Login Page</font></h3>

    <table>
        <tr>

        <td>Email:</td>
        <td><input id="UserEmail" type="text" runat=server/></td>
        <td><ASP:RequiredFieldValidator 
            ControlToValidate="UserEmail" 
            Display="Static"
            ErrorMessage="*"
            runat=server/>
        </td>

    </tr>
    <tr>    

        <td>Password:</td>
        <td><input id="UserPass" type=password runat=server/></td>
        <td><ASP:RequiredFieldValidator 
            ControlToValidate="UserPass" 
            Display="Static"
            ErrorMessage="*"
            runat=server/>
        </td>
    </tr>
    <tr>

        <td>Persistent Cookie:</td>
        <td><ASP:CheckBox id=PersistCookie runat="server"
            autopostback="true" />
        </td>
        <td></td>
    </tr>

</table>


<input type="submit" OnServerClick="Login_Click" Value="Login" 
                                             runat="server"/><p>
    <asp:Label id="Msg" ForeColor="red" Font-Name="Verdana" 
                                  Font-Size="10" runat=server />

</form>
</body>
</html>