<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" 
  Language="C#"%>
<%@ Register TagPrefix="Mobile" Namespace="System.Web.UI.MobileControls"
Assembly="System.Web.Mobile" %>

<Script Runat="Server">

void Page_Load( Object s, EventArgs e )
{
  System.Web.Mobile.MobileCapabilities caps;
  caps = (System.Web.Mobile.MobileCapabilities)Request.Browser;
  browserLabel.Text = caps.Browser;
  typeLabel.Text = caps.Type;
  preferredRenderingTypeLabel.Text = caps.PreferredRenderingType;
  screenCharactersWidthLabel.Text = caps.ScreenCharactersWidth.ToString();
  screenCharactersHeightLabel.Text = caps.ScreenCharactersHeight.ToString();
}

</Script>

<Mobile:Form id="form1" runat="Server">

<b>Browser:</b>
<Mobile:Label
  id="browserLabel"
  Runat="Server"/>
<br/>

<b>Type:</b>
<Mobile:Label
  id="typeLabel"
  Runat="Server"/>
<br/>

<b>PreferredRenderingType:</b>
<Mobile:Label
  id="preferredRenderingTypeLabel"
  Runat="Server"/>
<br/>

<b>ScreenCharactersWidth:</b>
<Mobile:Label
  id="screenCharactersWidthLabel"
  Runat="Server"/>
<br/>

<b>ScreenCharactersHeight:</b>
<Mobile:Label
  id="screenCharactersHeightLabel"
  Runat="Server"/>

</Mobile:Form>

