<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" 
  Language="C#"%>
<%@ Register TagPrefix="Mobile" Namespace="System.Web.UI.MobileControls"
  Assembly="System.Web.Mobile" %>

<Script Runat="Server">

void Page_Load( Object s, EventArgs e )
{
  ArrayList myArrayList = new ArrayList();

  myArrayList.Add( "Star Wars" );
  myArrayList.Add( "Citizen Kane" );
  
  movieList.DataSource = myArrayList;
  movieList.DataBind();
}

void doSomething( Object s, ObjectListCommandEventArgs e )
{
  if ( e.CommandName == "Buy" ) 
    ActiveForm = BuyTicket;
  else
    ActiveForm = ShowDesc;
}
  
</Script>

<Mobile:Form id="displayMovies" runat="Server">

<Mobile:ObjectList
  ID="movieList" 
  OnItemCommand="doSomething"
  Runat="Server">
<Command Name="Buy" Text="Buy" />
<Command Name="Desc" Text="Desc" />
</Mobile:ObjectList>

</Mobile:Form>

<Mobile:Form id="ShowDesc" runat="Server">
  <b>Great Movie!</b>
</Mobile:Form>

<Mobile:Form id="BuyTicket" runat="Server">
  <b>Buy Ticket!</b>
</Mobile:Form>