<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage"
  Language="C#" %>
<%@ Register TagPrefix="Mobile" Namespace="System.Web.UI.MobileControls"
   Assembly="System.Web.Mobile" %> 

<Script Runat="Server">

void doSomething( Object s, EventArgs e )
{
  if ( !IsValid )
    ActiveForm = form2;
  else
    ActiveForm = form3;
}

</Script>

<Mobile:Form id="form1" runat="Server">

<b>Enter a number between 3 and 12:</b>
<Mobile:Textbox 
  ID="theNumber"
  Runat="Server"/>

<Mobile:RequiredFieldValidator
  ErrorMessage="Input Required!"
  ControlToValidate="theNumber"
  Runat="Server" />

<Mobile:RangeValidator
  ErrorMessage="Not in Range!"
  ControlToValidate="theNumber"
  Type="Integer"
  MinimumValue="3"
  MaximumValue="12"
  Runat="Server" />

<Mobile:Command
  Text="Submit!"
  OnClick="doSomething"
  Runat="Server"/>

</Mobile:Form>

<Mobile:Form id="form2" runat="Server">

<Mobile:ValidationSummary
  formToValidate="form1"
  Runat="Server" />

</Mobile:Form>

<Mobile:Form id="form3" runat="Server">

<i>Good Job!</i>

</Mobile:Form>