

using System;
using System.Web;
using System.Text;
using System.Collections.Specialized;

public class ServerVarsHandler : IHttpHandler {

	public void ProcessRequest(HttpContext Context) {
		
		HttpRequest request = Context.Request;
		HttpResponse response = Context.Response;

		NameValueCollection coll = request.ServerVariables;

		String[] keys = coll.AllKeys;

		int count = keys.Length;
	
		for (int i=0; i < count; i++)
		{
			response.Write (keys[i] + " = " + coll.Get(i) + "<br>");
		}
	}


	public bool IsReusable {
		get {return true;}
	}

}