<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<script language="C#" runat="server">

    protected void Page_Load(Object sender, EventArgs e) {

	// Each use costs 5
	const double TRANSACTION_COST = 0.05;
	
	string username = User.Identity.Name;

	Message.Text = "Usage page for: " + username;

	String dsn = ConfigurationSettings.AppSettings["dsn"];

	SqlConnection conn = null;

	try {		            

		conn = new SqlConnection(dsn);
		SqlDataAdapter myCommand = new SqlDataAdapter("select method, path, remote_ip, timestamp from Log where username='" + username + "'", conn);

		DataSet ds = new DataSet();
		myCommand.Fill(ds, "Usage");

		DataView dv = ds.Tables["Usage"].DefaultView;
		
		MyDataGrid.DataSource = dv;
		MyDataGrid.DataBind();

		Fee.Text  = TRANSACTION_COST.ToString("c");
		Uses.Text = dv.Count + " uses";

		Cost.Text = (dv.Count * TRANSACTION_COST).ToString("c");

	}
	catch {
		// Eat the exception
	}
        finally {
             if (conn.State == ConnectionState.Open)
                 conn.Close();
        }
    }

</script>

<body>

  <h2>
	<font face="Verdana">
		<ASP:Label id="Message" runat="server" />
	</font>
  </h2> 

  <ASP:DataGrid id="MyDataGrid" runat="server"
    Width="700"
    BackColor="#ccccff"
    BorderColor="black"
    ShowFooter="false"
    CellPadding=3
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    HeaderStyle-BackColor="#aaaadd"
    EnableViewState="false"
  />

  <h3>
	<font face="Verdana">
		Cost: <ASP:Label id="Fee" runat="server" /> * 
		      <ASP:Label id="Uses" runat="server" /> = 
		      <ASP:Label id="Cost" runat="server" />
	</font>
  </h3>

</body>
</html>
