<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<script language="VB" runat="server">

Sub Page_Load(sender As [Object], e As EventArgs) 
   
   ' Each use costs 5
   Const TRANSACTION_COST As Double = 0.05
   
   Dim username As String = User.Identity.Name
   
   Message.Text = "Usage page for: " + username
   
   Dim dsn As [String] = ConfigurationSettings.AppSettings("dsn")
   
   Dim conn As SqlConnection = Nothing
   
   Try
      
      conn = New SqlConnection(dsn)
      Dim myCommand As New SqlDataAdapter("select method, path, remote_ip, timestamp from Log where username='" + username + "'", conn)
      
      Dim ds As New DataSet()
      myCommand.Fill(ds, "Usage")
      
      Dim dv As DataView = ds.Tables("Usage").DefaultView
      
      MyDataGrid.DataSource = dv
      MyDataGrid.DataBind()
      
      Fee.Text = TRANSACTION_COST.ToString("c")
      Uses.Text = dv.Count + " uses"
      
      Cost.Text =(dv.Count * TRANSACTION_COST).ToString("c")
   
   Catch
   ' Eat the exception
   Finally
      If conn.State = ConnectionState.Open Then
         conn.Close()
      End If
   End Try
End Sub

</script>

<body>

  <h2>
	<font face="Verdana">
		<ASP:Label id="Message" runat="server" />
	</font>
  </h2> 

  <ASP:DataGrid id="MyDataGrid" runat="server"
    Width="700"
    BackColor="#ccccff"
    BorderColor="black"
    ShowFooter="false"
    CellPadding=3
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    HeaderStyle-BackColor="#aaaadd"
    EnableViewState="false"
  />

  <h3>
	<font face="Verdana">
		Cost: <ASP:Label id="Fee" runat="server" /> * 
		      <ASP:Label id="Uses" runat="server" /> = 
		      <ASP:Label id="Cost" runat="server" />
	</font>
  </h3>

</body>
</html>
