<%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" %>
<%@ Register TagPrefix="Mobile" Namespace="System.Web.UI.MobileControls"
  Assembly="System.Web.Mobile" %>

<Script Runat="Server">

Public class Movie

  Private _movieTitle, _movieCat, _ticketPrice As String

  ReadOnly Property movieTitle As String
  Get
    Return _movieTitle
  End Get
  End Property

  ReadOnly Property movieCat As String
  Get
    Return _movieCat
  End Get
  End Property

  ReadOnly Property ticketPrice As String
  Get
    Return _ticketPrice
  End Get
  End Property

  Sub New( movieTitle As String, _
      movieCat As String, _ 
        ticketPrice As String )
    _movieTitle = movieTitle
    _movieCat = movieCat
    _ticketPrice = ticketPrice
  End Sub

End Class


Sub Page_Load( s As Object, e As EventArgs )
  Dim myArrayList As New ArrayList

  myArrayList.Add( new Movie( "Star Wars", "SciFi", "$7.98" ) )
  myArrayList.Add( new Movie( "Citizen Kane", "Drama", "$4.00" ) )
  
  movieList.Datasource = myArrayList
  movieList.Databind

End Sub  

Sub doSomething( s As Object, e As ObjectListCommandEventArgs )
  ActiveForm = selectMovie
End Sub
  
</Script>

<Mobile:Form id="displayMovies" runat="Server">

<Mobile:ObjectList
  ID="movieList" 
  AutoGenerateFields="False"
  LabelField="movieTitle"
  OnItemCommand="doSomething"
  Runat="Server">
<Field DataField="movieTitle" Title="Movie" />
<Field DataField="movieCat" Title="Category" />
<Field DataField="ticketPrice" Title="Price" />
</Mobile:ObjectList>

</Mobile:Form>

<Mobile:Form id="selectMovie" runat="Server">

<b>Movie Selected!</b>

</Mobile:Form>