<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%
DataTable myDataTable;
DataColumn myColumn;
DataRow myRow;

// Create a DataTable
myDataTable = new DataTable("ShoppingCart");
myDataTable.MinimumCapacity = 50;
myDataTable.CaseSensitive = false;

// Add an AutoIncrement (Identity) Column
myColumn = myDataTable.Columns.Add("ID", System.Type.GetType("System.Int32") );
myColumn.AutoIncrement = true;
myColumn.AllowDBNull = false;

// Add an Integer Column
myColumn = myDataTable.Columns.Add("UserID", System.Type.GetType("System.Int32") );
myColumn.AllowDBNull = false;

// Add an Integer Column
myColumn = myDataTable.Columns.Add("ProductID", System.Type.GetType("System.Int32") );
myColumn.AllowDBNull = false;

// Add a String Column      
myColumn = myDataTable.Columns.Add( "ProductName",System.Type.GetType("System.String") );
myColumn.AllowDBNull = false;

// Add a Decimal Column
myColumn = myDataTable.Columns.Add("ProductPrice",System.Type.GetType("System.Decimal") );
myColumn.AllowDBNull = false;

// Add Some Data
Random myRand = new Random();
for ( int i = 0; i < 21; i++ )
{
  int productID = myRand.Next( 5 );
  myRow = myDataTable.NewRow();
  myRow[ "UserID" ] = myRand.Next( 3 );
  myRow[ "ProductID" ] = productID;
  myRow[ "ProductName" ] = "Product " + productID.ToString();
  myRow[ "ProductPrice" ] = 10.25;
  myDataTable.Rows.Add( myRow );  
}

// Display All the Rows
foreach ( DataRow RowCounter in myDataTable.Rows )
{
  Response.Write( "<hr>" );
  foreach ( DataColumn ColCounter in myDataTable.Columns )
  {
    Response.Write( RowCounter[ ColCounter ].ToString() + " / " );
  }
}
%>