<%@ Import Namespace="System.Data" %>
<%
Dim myDataTable as DataTable
Dim myColumn as DataColumn
Dim myRow As DataRow
Dim i As Integer
Dim myRand As System.Random
Dim productID As Integer

' Create a DataTable
myDataTable = new DataTable("ShoppingCart")
myDataTable.MinimumCapacity = 50
myDataTable.CaseSensitive = False

' Add an AutoIncrement (Identity) Column
myColumn = myDataTable.Columns.Add("ID", System.Type.GetType("System.Int32") )
myColumn.AutoIncrement = TRUE
myColumn.AllowDBNull = false

' Add an Integer Column
myColumn = myDataTable.Columns.Add("UserID", System.Type.GetType("System.Int32") )
myColumn.AllowDBNull = false

' Add an Integer Column
myColumn = myDataTable.Columns.Add("ProductID", System.Type.GetType("System.Int32") )
myColumn.AllowDBNull = false

' Add a String Column      
myColumn = myDataTable.Columns.Add( "ProductName",System.Type.GetType("System.String") )
myColumn.AllowDBNull = false

' Add a Decimal Column
myColumn = myDataTable.Columns.Add("ProductPrice",System.Type.GetType("System.Decimal") )
myColumn.AllowDBNull = false

' Add Some Data
myRand = New Random
For i = 0 To 20
  productID = myRand.Next( 5 )
  myRow = myDataTable.NewRow()
  myRow( "UserID" ) = myRand.Next( 3 )
  myRow( "ProductID" ) = productID
  myRow( "ProductName" ) = "Product " & productID.toString()
  myRow( "ProductPrice" ) = 10.25
  myDataTable.Rows.Add( myRow )  
Next

' Display All the Rows
For each myRow in myDataTable.Rows
  Response.Write( "<hr>" )
  For each myColumn in myDataTable.Columns
    Response.Write( myRow.Item( myColumn ).toString() & " / " )
  Next
Next
%>