<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<Script Runat="Server">
void OleDbSaveForm( Object s, EventArgs e )
{
  OleDbConnection myConnection;
  OleDbCommand myCommand;
  String sqlString;
  if ( IsValid )
  {
    // Save Form Data
    myConnection = new OleDbConnection( "PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA Source=C:\\customers.mdb" );
    sqlString = "Insert Into surveys ( s_firstname, s_lastname, s_favColor ) Values ( @firstname, @lastname, @favColor )";
    myCommand = new OleDbCommand( sqlString, myConnection );
    myCommand.Parameters.Add( new OleDbParameter( "@FirstName", OleDbType.VarChar, 50 ));
    myCommand.Parameters[ "@FirstName" ].Value = firstname.Text;
    myCommand.Parameters.Add( new OleDbParameter( "@LastName", OleDbType.VarChar, 50 ));
    myCommand.Parameters[ "@LastName" ].Value = lastname.Text;
    myCommand.Parameters.Add( new OleDbParameter( "@favColor", OleDbType.VarChar, 10 ));
    myCommand.Parameters[ "@favColor" ].Value = favColor.SelectedItem.Text;
    myConnection.Open();
    myCommand.ExecuteNonQuery();
    myConnection.Close();
    // Transfer to Thank You Page
    Response.Redirect( "Thankyou.aspx" );
    Response.End();
  }
}
</Script>


<html>
<head><title>Customer Survey</title></head>
<body>
 
Please complete the following form:
 
<form runat="Server">
 
<p>First Name:
<br><asp:TextBox id="firstname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="firstname"
  Runat="Server">
  You must enter your first name!
</asp:RequiredFieldValidator>
 
<p>Last Name:
<br><asp:TextBox id="lastname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="lastname"
  Runat="Server">
  You must enter your last name!
</asp:RequiredFieldValidator>
 
<p>Favorite Color:
<br><asp:DropDownList id="favColor" Runat="Server">
     <asp:ListItem>Red</asp:ListItem>
     <asp:ListItem>Green</asp:ListItem>
     <asp:ListItem>Blue</asp:ListItem>
   </asp:DropDownList>
<p>
<asp:button text="Submit Survey!" OnClick="OleDbSaveForm" Runat="Server"/>
 
</form>
 
</body>
</html>
