<%@ Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
  void Page_Load( Object s, EventArgs e )
  {
    if ( !IsPostBack )
      BindData();
  }

  void BindData()
  {
    SqlConnection myConnection;
    SqlDataAdapter myAdapter;
    String sqlString;
    DataSet myDataSet;
    // Get Records From Database
    myConnection = new SqlConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" );
    sqlString = "Select * from Products";
    myAdapter = new SqlDataAdapter( sqlString, myConnection );
    myDataSet = new DataSet();
    myAdapter.Fill( myDataSet, "Products" );
    myDataGrid.DataSource = myDataSet;
    myDataGrid.DataBind();
  }

  void pageGrid( Object s, DataGridPageChangedEventArgs e )
  {
    myDataGrid.CurrentPageIndex = e.NewPageIndex;
    BindData();
  }
</Script>

<html>
<head><title>DataGrid</title></head>
<body>

<form Runat="Server">

<asp:DataGrid
  id="myDataGrid"
  AutoGenerateColumns="False"
  AllowPaging="True"
  PageSize="5"
  PagerStyle-Mode="NumericPages"
  PagerStyle-HorizontalAlign="Right"
  onPageIndexChanged="pageGrid"
  cellpadding=3
  Runat="Server">
  <Columns>
    <asp:BoundColumn HeaderText="Product ID" DataField="ProductID"/>
    <asp:BoundColumn HeaderText="Product Name" DataField="ProductName"/>
    <asp:BoundColumn HeaderText="Price" DataField="UnitPrice" DataFormatString="{0:c}"/>
  </Columns>
</asp:DataGrid>


</form>

</body>
</html>
