<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
  String sortField = "ProductID";

  void Page_Load( Object s, EventArgs e )
  {
    if ( !IsPostBack )
      BindData();
  }

  void BindData()
  {
    SqlConnection myConnection;
    SqlCommand myCommand;
    String sqlString;
    myConnection = new SqlConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" );
    sqlString = "Select * from Products Order By " + sortField;
    myCommand = new SqlCommand( sqlString, myConnection );
    myConnection.Open();
    myDataGrid.DataSource = myCommand.ExecuteReader();
    myDataGrid.DataBind();
    myConnection.Close();
  }

  void SortGrid( Object s, DataGridSortCommandEventArgs e )
  {
    sortField = e.SortExpression;
    BindData();
  }

</Script>

<html>
<head><title>DataGrid</title></head>
<body>

<form Runat="Server">

<asp:DataGrid
  id="myDataGrid"
  AutoGenerateColumns="False"
  AllowSorting="True"
  onSortCommand="SortGrid"
  cellpadding=3
  Runat="Server">
  <Columns>
    <asp:BoundColumn HeaderText="Product ID" 
      DataField="ProductID"/>
    <asp:BoundColumn HeaderText="Product Name" 
      DataField="ProductName" SortExpression="ProductName"/>
    <asp:BoundColumn HeaderText="Price" 
      DataField="UnitPrice" DataFormatString="{0:c}" 
      SortExpression="UnitPrice"/>
  </Columns>
</asp:DataGrid>

</form>

</body>
</html>
