<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
  void Page_Load( Object s, EventArgs e )
  {
    if ( !IsPostBack )
      BindData();
  }

  void BindData()
  {
    SqlConnection myConnection;
    SqlCommand myCommand;
    myConnection = new SqlConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" );
    myCommand = new SqlCommand( "Select * from Products", myConnection );
    myConnection.Open();
    myDataGrid.DataSource = myCommand.ExecuteReader();
    myDataGrid.DataBind();
    myConnection.Close();
  }

  void showDetails( Object s, EventArgs e )
  {
    for ( int colCounter = 1; colCounter < myDataGrid.Columns.Count; colCounter ++ )
      myDataGrid.Columns[ colCounter ].Visible = true;
  }

  void hideDetails( Object s, EventArgs e )
  {
    for ( int colCounter = 1; colCounter < myDataGrid.Columns.Count; colCounter ++ )
      myDataGrid.Columns[ colCounter ].Visible = false;
  }
</Script>

<html>
<head><title>DataGrid</title></head>
<body>

<form Runat="Server">

<asp:Button
  Text="Show Details"
  onClick="showDetails"
  Runat="Server"/>

<asp:Button
  Text="Hide Details"
  onClick="hideDetails"
  Runat="Server"/>
<p>

<asp:DataGrid
  id="myDataGrid"
  AutoGenerateColumns="False"
  Runat="Server">
  <Columns>
    <asp:BoundColumn HeaderText="Product Name" DataField="ProductName"/>
    <asp:BoundColumn HeaderText="Price" DataField="UnitPrice" 
      DataFormatString="{0:c}" Visible="False"/>
    <asp:BoundColumn HeaderText="Quantity Per Unit" 
      DataField="QuantityPerUnit" Visible="False"/>
  </Columns>
</asp:DataGrid>

</form>

</body>
</html>
