<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
  void Page_Load( Object s, EventArgs e )
  {
    if ( !IsPostBack )
      BindData();
  }

  void BindData()
  {
    SqlConnection myConnection;
    SqlCommand myCommand;
    myConnection = new SqlConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" );
    myCommand = new SqlCommand( "Select CategoryName from Categories", myConnection );
    myConnection.Open();
    myDataList.DataSource = myCommand.ExecuteReader();
    myDataList.DataBind();
    myConnection.Close();
  }

  void pickCat( Object s, DataListCommandEventArgs e )
  {
    myDataList.SelectedIndex = e.Item.ItemIndex;
    currentCat.Text = (String)e.CommandArgument;
    BindData();
  }
</Script>

<html>
<head><title>Categories</title></head>
<body>

<form Runat="Server">

<asp:DataList
  id="myDataList"
  cellpadding=10
  cellspacing=0
  gridlines="both"
  RepeatColumns="3"
  RepeatDirection="Horizontal"
  OnItemCommand="pickCat"
  Runat="Server">
  <ItemTemplate>
    <asp:LinkButton
      id="myLink"
      Text='<%# DataBinder.Eval( Container.DataItem, "CategoryName" ) %>'
      CommandArgument='<%# DataBinder.Eval( Container.DataItem, "CategoryName" ) %>'
      Runat="Server"/>
  </ItemTemplate>
  <SelectedItemTemplate>
     <b><%# DataBinder.Eval( Container.DataItem, "CategoryName" ) %></b>
  </SelectedItemTemplate>
</asp:DataList>

The Current Category is:
<asp:Label id="currentCat" Runat="Server"/>

</form>

</body>
</html>
