<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<Script Runat="Server">
Sub OleDbSaveForm( s As Object, e As EventArgs )
  Dim myConnection As OleDbConnection
  Dim myCommand As OleDbCommand
  Dim sqlString As String
  If isValid Then
    ' Save Form Data
    myConnection = New OleDbConnection( "PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA Source=C:\customers.mdb" )
    SQLString = "Insert Into surveys ( s_firstname, s_lastname, s_favColor ) " _
      & "Values ( @firstname, @lastname, @favColor )"
    myCommand = New OleDbCommand( SQLString, myConnection )
    myCommand.Parameters.Add( New OleDbParameter( "@FirstName", OleDbType.Varchar, 50 ))
    myCommand.Parameters( "@FirstName" ).Value = FirstName.Text
    myCommand.Parameters.Add( New OleDbParameter( "@LastName", OleDbType.Varchar, 50 ))
    myCommand.Parameters( "@LastName" ).Value = LastName.Text
    myCommand.Parameters.Add( New OleDbParameter( "@favColor", OleDbType.Varchar, 10 ))
    myCommand.Parameters( "@favColor" ).Value = favColor.SelectedItem.Text
    myConnection.Open()
    myCommand.ExecuteNonQuery()
    myConnection.Close()
    ' Transfer to Thank You Page
    Response.Redirect( "Thankyou.aspx" )
    Response.End
  End If
End Sub
</Script>


<html>
<head><title>Customer Survey</title></head>
<body>
 
Please complete the following form:
 
<form runat="Server">
 
<p>First Name:
<br><asp:TextBox id="firstname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="firstname"
  Runat="Server">
  You must enter your first name!
</asp:RequiredFieldValidator>
 
<p>Last Name:
<br><asp:TextBox id="lastname" Runat="Server"/>
<asp:RequiredFieldValidator
  ControlToValidate="lastname"
  Runat="Server">
  You must enter your last name!
</asp:RequiredFieldValidator>
 
<p>Favorite Color:
<br><asp:DropDownList id="favColor" Runat="Server">
     <asp:ListItem>Red</asp:ListItem>
     <asp:ListItem>Green</asp:ListItem>
     <asp:ListItem>Blue</asp:ListItem>
   </asp:DropDownList>
<p>
<asp:button text="Submit Survey!" OnClick="OleDbsaveform" Runat="Server"/>
 
</form>
 
</body>
</html>
