<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">

  Sub Page_Load( s As Object, e As EventArgs )
    If Not isPostBack Then
      BindData
    End If
  End Sub

  Sub BindData
    Dim myConnection As SqlConnection
    Dim myAdapter As SqlDataAdapter
    Dim sqlString As String
    Dim myDataSet As DataSet
    ' Get Records From Database
    myConnection = New SqlConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" )
    sqlString = "Select * from Products"
    myAdapter = New SQLDataAdapter( sqlString, myConnection )
    myDataSet = New DataSet
    myAdapter.Fill( myDataSet, "Products" )
    myDataGrid.DataSource = myDataSet
    myDataGrid.DataBind()
  End Sub

  Sub pageGrid( s As Object, e As DataGridPageChangedEventArgs )
    myDataGrid.CurrentPageIndex = e.NewPageIndex
    BindData
  End Sub

</Script>

<html>
<head><title>DataGrid</title></head>
<body>

<form Runat="Server">

<asp:DataGrid
  id="myDataGrid"
  AutoGenerateColumns="False"
  AllowPaging="True"
  onPageIndexChanged="pageGrid"
  cellpadding=3
  Runat="Server">
  <Columns>
    <asp:BoundColumn HeaderText="Product ID" 
      DataField="ProductID"/>
    <asp:BoundColumn HeaderText="Product Name" 
      DataField="ProductName"/>
    <asp:BoundColumn HeaderText="Price" 
      DataField="UnitPrice" DataFormatString="{0:c}"/>
  </Columns>
</asp:DataGrid>

</form>

</body>
</html>
