<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
  Dim sortField As String = "ProductID"

  Sub Page_Load( s As Object, e As EventArgs )
    If Not isPostBack Then
      BindData
    End If
  End Sub

  Sub BindData
    Dim myConnection As SqlConnection
    Dim myCommand As SqlCommand
    Dim sqlString As String
    myConnection = New SqlConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" )
    sqlString = "Select * from Products Order By " & sortfield
    myCommand = New SQLCommand( sqlString, myConnection )
    myConnection.Open()
    myDataGrid.DataSource = myCommand.ExecuteReader()
    myDataGrid.DataBind()
    myConnection.Close()
  End Sub

  Sub SortGrid( s As Object, e As DataGridSortCommandEventArgs )
    sortField = e.SortExpression
    BindData
  End Sub

</Script>

<html>
<head><title>DataGrid</title></head>
<body>

<form Runat="Server">

<asp:DataGrid
  id="myDataGrid"
  AutoGenerateColumns="False"
  AllowSorting="True"
  onSortCommand="SortGrid"
  cellpadding=3
  Runat="Server">
  <Columns>
    <asp:BoundColumn HeaderText="Product ID" 
      DataField="ProductID"/>
    <asp:BoundColumn HeaderText="Product Name" 
      DataField="ProductName" SortExpression="ProductName"/>
    <asp:BoundColumn HeaderText="Price" 
      DataField="UnitPrice" DataFormatString="{0:c}" 
      SortExpression="UnitPrice"/>
  </Columns>
</asp:DataGrid>

</form>

</body>
</html>
