<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<Script Runat="Server">
  Sub Page_Load( s As Object, e As EventArgs )
    If Not isPostBack Then
      BindData
    End If
  End Sub

  Sub BindData
    Dim myConnection As SQLConnection
    Dim myCommand As SqlCommand
    myConnection = New SqlConnection( "Server=Localhost;uid=sa;pwd=secret;Database=Northwind" )
    myCommand = New SqlCommand( "Select * from Products", myConnection )
    myConnection.Open()
    myDataGrid.DataSource = myCommand.ExecuteReader()
    myDataGrid.DataBind()
    myConnection.Close()
  End Sub

  Sub showDetails( s As Object, e As EventArgs )
    Dim colCounter As Integer
    For colCounter = 1 to myDataGrid.Columns.Count - 1
      myDataGrid.Columns( colCounter ).Visible = True
    Next
  End Sub

  Sub hideDetails( s As Object, e As EventArgs )
    Dim colCounter As Integer
    For colCounter = 1 to myDataGrid.Columns.Count - 1
      myDataGrid.Columns( colCounter ).Visible = False
    Next
  End Sub
</Script>

<html>
<head><title>DataGrid</title></head>
<body>

<form Runat="Server">

<asp:Button
  Text="Show Details"
  onClick="showDetails"
  Runat="Server"/>

<asp:Button
  Text="Hide Details"
  onClick="hideDetails"
  Runat="Server"/>
<p>

<asp:DataGrid
  id="myDataGrid"
  AutoGenerateColumns="False"
  Runat="Server">
  <Columns>
    <asp:BoundColumn HeaderText="Product Name" DataField="ProductName"/>
    <asp:BoundColumn HeaderText="Price" DataField="UnitPrice" 
      DataFormatString="{0:c}" Visible="False"/>
    <asp:BoundColumn HeaderText="Quantity Per Unit" 
      DataField="QuantityPerUnit" Visible="False"/>
  </Columns>
</asp:DataGrid>

</form>

</body>
</html>
