<%@ Page Debug="true" %>

<script language="c#" runat="server">

  void Page_Load(Object sender, EventArgs e)
  {
    // Create a HashTable
    Hashtable htSalaries = new Hashtable();

    // Use the Add method to add Employee Salary Information
    htSalaries.Add("Bob", 40000);
    htSalaries.Add("John", 65000);
    htSalaries.Add("Dilbert", 25000);
    htSalaries.Add("Scott", 85000);
    htSalaries.Add("BillG", 90000000);


    // Now, display a list of employees and their salaries
    lblSalary.Text = "<i>There are " + htSalaries.Count + " Employees...</i><br>";
    foreach (String s in htSalaries.Keys)
      lblSalary.Text += s + " - " + htSalaries[s] + "<br>";


    // Is BillG an Employee?  If so, FIRE HIM!
    if (htSalaries.ContainsKey("BillG"))
      htSalaries.Remove("BillG");


    // List the remaining employees (using databinding)
    dgEmployees.DataSource = htSalaries.Keys;
    dgEmployees.DataBind();


    htSalaries.Clear();    // remove all entries in hash table...
  }

 </script>

 <html>
 <body>
   <b>Employee Salary Information:</b><br>  
   <asp:label id="lblSalary" runat="server" />
   <p>

   <b>Remaining Employees After Round One of Firings:</b><br>  
   <asp:datagrid runat="server" id="dgEmployees"
                 AutoGenerateColumns="True" ShowHeader="False"
                 CellSpacing="1" CellPadding="4" />
 </body>
 </html>
