 <script language="VB" runat="server">
  Sub Page_Load(sender as Object, e as EventArgs)
    ' Create a SortedList
    Dim slTestScores As New SortedList()

    ' Use the Add method to add students' Test Scores
    slTestScores.Add("Judy", 87.8)
    slTestScores.Add("John", 79.3)
    slTestScores.Add("Sally", 94.0)
    slTestScores.Add("Scott", 91.5)
    slTestScores.Add("Edward", 76.3)

    ' Display a list of test scores
    lblScores.Text = "<i>There are " & slTestScores.Count & _
                     " Students...</i><br>"

    Dim dictEntry as DictionaryEntry
    For Each dictEntry in slTestScores
      lblScores.Text &= dictEntry.Key & " - " & dictEntry.Value & "<br>"
    Next


    'Has Edward taken the test?  If so, reduce his grade by 10 points
    If slTestScores.ContainsKey("Edward") then
      slTestScores("Edward") = slTestScores("Edward") - 10
    End If

    'Assume Sally Cheated and remove her score from the list
    slTestScores.Remove("Sally")

    'Grade on the curve - up everyone's score by 5 percent
    Dim iLoop as Integer
    For iLoop = 0 to slTestScores.Count - 1
      slTestScores.GetValueList(iLoop) = _
                    slTestScores.GetValueList(iLoop) * 1.05
    Next

    'Display the new grades
    For iLoop = 0 to slTestScores.Count - 1
      lblCurvedScores.Text &= slTestScores.GetKeyList(iLoop) & " - " & _
                        String.Format("{0:#.#}", slTestScores.GetByIndex(iLoop)) & "<br>"
    Next

    slTestScores.Clear()  ' remove all entries in the sorted list...
  End Sub
 </script>

 <html>
 <body>
   <b>Raw Test Results:</b><br>  
   <asp:label id="lblScores" runat="server" />
   <p>

   <b>Curved Test Results:</b><br>  
   <asp:label id="lblCurvedScores" runat="server" />
 </body>
 </html>
