<script language="c#" runat="server">

  void Page_Load(Object sender, EventArgs e)
  {
    // Create a Queue
    Queue qTasks = new Queue();
    qTasks.Enqueue("Wake Up");
    qTasks.Enqueue("Shower");
    qTasks.Enqueue("Get Dressed");
    qTasks.Enqueue("Go to Work");
    qTasks.Enqueue("Work");
    qTasks.Enqueue("Come Home");
    qTasks.Enqueue("Eat Dinner");
    qTasks.Enqueue("Go to Sleep");

    // To determine if an element exists in the Queue,
    // use the Contains method
    if (!qTasks.Contains("Shower"))
      // Forgot to bathe!
      Response.Write("<b><i>Stinky!</i></b>");

    // Output the list of tasks
    lblTaskList.Text = "<i>There are " + qTasks.Count +
                       " tasks for today...</i><br>";


    int iCount = 1;
    while (qTasks.Count > 0)
    {
      lblTaskList.Text += iCount.ToString() + ".) " + 
                          qTasks.Dequeue() + "<br>";
      iCount++;
    }


    // At this point the queue is empty, since we've
    // Dequeued all of the elements.
  }


 </script>

 <html>
 <body>

   <b>An In-Order List of Tasks for the Day:</b><br>
   <asp:label runat="server" id="lblTaskList" />

 </body>
 </html>
