<script language="VB" runat="server">

  Sub Page_Load(sender as Object, e as EventArgs)
    ' See if we have a stack created or not:

    if Session("History") Is Nothing then
      ' the history stack has not been created, so create it now.
      Session("History") = New Stack()
    Else
      ' we already have a history stack.  Display the history:
      Dim enumHistory As IEnumerator = Session("History").GetEnumerator()

      Do While enumHistory.MoveNext()
        lblStackHistory.Text = lblStackHistory.Text & "<a href=""" & enumHistory.Current & _
                                """>" & enumHistory.Current & "</a><br>"
      Loop
    End If

    ' Push current URL onto Stack IF it is not already on the top
    If Session("History").Count > 0 Then
      If Session("History").Peek().ToString() <> Request.Url.PathAndQuery.ToString() Then
        Session("History").Push(Request.Url.PathAndQuery)
      End If
    Else
      Session("History").Push(Request.Url.PathAndQuery)
    End If
  
  End Sub

 </script>

 <html>
 <body>

    <b>Session History</b><br>
    <asp:label runat=server id="lblStackHistory" /><br>

    <a href="ClearStackHistory.VB.aspx">Clear Stack History</a><br>
    <a href="Back.VB.aspx">Back</a>

    <p>
    <b>Links:</b><br>
    <li><a href="Listing2.1.5.aspx">Listing2.1.5.aspx</a><br>
    <li><a href="Listing2.1.5.b.aspx">Listing2.1.5.b.aspx</a><br>

 </body>
 </html>
