<%@ Import Namespace="System.Diagnostics" %>
<script language="C#" runat="server">
  void Page_Load(Object sender, EventArgs e)
  {
    PerformanceCounter objMemPerf = 
           new PerformanceCounter("Memory", "Available Bytes");
    lblFreeMemory.Text = String.Format("{0:#,###}", objMemPerf.NextValue()) + " bytes";

    PerformanceCounter objProcPerf =
           new PerformanceCounter("System", "Processes");
    lblProcesses.Text = objProcPerf.NextValue().ToString();

    String strAppName = Request.ServerVariables["APPL_MD_PATH"];
    strAppName = strAppName.Replace('/', '_');
    PerformanceCounter objCompPerf = 
          new PerformanceCounter("ASP.NET Applications",
                                 "Anonymous Requests", strAppName);
    
    lblPageReqs.Text = objCompPerf.NextValue().ToString();
  }
</script>

<html>
<body>
  <h1>Web Server Stats </h1>
  <i>These stats were taken as of <%=DateTime.Now.ToLongDateString()%> at
  <%=DateTime.Now.ToLongTimeString()%>...</i><p>

  <b>Available Memory:</b> <asp:label id="lblFreeMemory" runat="server" /><br>
  <b>Processes:</b> <asp:label id="lblProcesses" runat="server" /><br>
  <b>ASP.NET Page Requests:</b>
     <asp:label id="lblPageReqs" runat="server" /><br>
</body>
</html>