<%@ Import Namespace="System.IO" %>
<script language="vb" runat="server">

  Sub btnSubmit_OnClick(sender as Object, e as EventArgs)
    ' Create an HTML file in the directory strDir
    const strDir as String = "C:\Inetpub\wwwroot\UserPages\"

    Dim strFileName as String = strDir & txtPageName.Text

    ' Create the file using the static method CreateText
    Dim objStream as StreamWriter = File.CreateText(strFileName)

    ' Write the contents of the txtContents textarea to the stream
    objStream.Write(txtContents.Text)

    ' Close the stream, saving the file...
    objStream.Close()

    ' Display a link to the newly created HTML page.
    lblLink.Text = "Page created!<br><a href=""/UserPages/" & _
                   txtPageName.Text & """>View New Page!</a>"
  End Sub

</script>

<html>
<body>
  <form runat="server">
    <font size=+2><b>Create your own HTML page!</b></font>
    <p>
    <b>Name:</b> <asp:textbox id="txtPageName" runat="server" /><br>
    <b>Contents:</b><br>
    <asp:textbox id="txtContents" runat="server" TextMode="MultiLine"
                 Columns="40" Rows="5" />
    <p>
    <asp:button id="btnSubmit" runat="server" text="Create HTML Page!"
                OnClick="btnSubmit_OnClick" />

    <p>
    <asp:label id="lblLink" runat="server" />
  </form>
</body>
</html>