<%@ Import Namespace="System.Text.RegularExpressions" %>
<script language="C#" runat="server">

  void btnSubmit_OnClick(Object sender, EventArgs e)
  {
    // Create a regex object
    String strTerms = txtSearchTerms.Text    ;
    Regex regexp = new Regex("\\b" + strTerms + "\\b", RegexOptions.IgnoreCase);

    // Replace all search terms in txtText
    String strNewText = regexp.Replace(txtText.Text, 
       "<span style='color:black;background-color:yellow'>" + strTerms + "</span>");

    lblResults.Text = "<p><hr><p><b><u>Search Results:</u></b><br>" + strNewText;
  }

</script>

<html>
<body>

  <form runat="server">

    <b>Enter a search term:</b><br>
    <asp:textbox id="txtSearchTerms" runat="server" />
    <p>
    <b>Enter some text:</b><br>
    <asp:textbox id="txtText" runat="server" TextMode="MultiLine"
                 Cols="50" Rows="6" />
    <p>
    <asp:button id="btnSubmit" runat="server" OnClick="btnSubmit_OnClick"
                text="Search Entered Text For Keyword" />

    <p><asp:label id="lblResults" runat="server" />
  </form>

</body>
</html>