<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<script language="C#" runat="server">

  void Page_Load(Object sender, EventArgs e)
  {
    Bitmap objBitmap = new Bitmap(468, 60);
    Graphics objGraphics = Graphics.FromImage(objBitmap);
    SolidBrush objBrush = new SolidBrush(Color.FromArgb(0,80,80)),
               objBlackBrush = new SolidBrush(Color.Black),
               objYellowBrush = new SolidBrush(Color.Yellow);
    Font fontTitle = new Font("Arial", 24),
         fontSubtitle = new Font("Arial Black", 9);

    objGraphics.FillRectangle(new SolidBrush(Color.Ivory),
                              0, 0, 468, 60);
    objGraphics.DrawString("When you think ASP, think...", fontSubtitle, objBlackBrush, 5, 8);
    objGraphics.DrawString("4GuysFromRolla.com", fontTitle, objBrush, 10, 20);

    // Draw a smiley face.. first draw the yellow circle!
    objGraphics.FillEllipse(objYellowBrush, 375, 5, 50, 50);

    // Now create the eyes.
    objGraphics.FillEllipse(objBlackBrush, 387, 20, 6, 6);
    objGraphics.FillEllipse(objBlackBrush, 407, 20, 6, 6);

    // And finally the smile.
    Point[] aPoints = new Point[4];
    aPoints[0].X = 383;  aPoints[0].Y = 35;
    aPoints[1].X = 395;  aPoints[1].Y = 45;
    aPoints[2].X = 405;  aPoints[2].Y = 45;
    aPoints[3].X = 417;  aPoints[3].Y = 35;
    objGraphics.DrawCurve(new Pen(Color.Black), aPoints);

    Response.ContentType = "image/jpeg";
    objBitmap.Save(Response.OutputStream, ImageFormat.Jpeg);

    objGraphics.Dispose();
    objBitmap.Dispose();
  }

</script>