<%@ Import Namespace="System.Web.Mail" %>
<script language="C#" runat="server">

  void btnSubmit_OnClick(Object sender, EventArgs e)
  {
    // Send an email address with product information
    MailMessage objMessage = new MailMessage();

    objMessage.BodyFormat = MailFormat.Html;
    objMessage.To = txtEmail.Text + " (" + txtName.Text + ")";
    objMessage.From = "webmaster@acme.com (Product Information)";
    objMessage.Headers.Add("Reply-To", "questions@acme.com");
    objMessage.Priority = MailPriority.High;
    objMessage.Subject = "Product Information Request";
    
    objMessage.Body = "<i>Hello " + txtName.Text + "</i>!  To learn more about our " +
                      "various products, visit the following URLs:<p><ul>" +
                      "<li><a href=\"http://www.acme.com/Widgets.htm\">Widgets</a>" +
                      "<li><a href=\"http://www.acme.com/DooHickies.htm\">DooHickies</a>" +
                      "<li><a href=\"http://www.acme.com/TAMB.htm\">Thning-a-ma-Bobs</a>" +
                      "</ul><p> If you have any " +
                      "questions, please simply reply to this email!<p><hr><p>" +
                      "<font color=red size=-1><i>Thank you for choosing Acme!</i></font>";


    // Send the message
    SmtpMail.Send(objMessage);

    // Display notification of mail being sent
    Response.Write("<font color=red><b>You have been sent " +
                   "product information!  Thank you!</b></font>");
  }

</script>

<html>
<body>

  <form method=post runat=server>

    <h1>Information Request</h1>
    <b>Your Name:</b>
    <asp:textbox id="txtName" runat="server" /><br>
    <b>Your Email Address:</b>
    <asp:textbox id="txtEmail" runat="server" /><p>

    <asp:button id="btnSubmit" runat="server" OnClick="btnSubmit_OnClick"
                text="Send me Product Information" />
  </form>

</body>
</html>