<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="C#" runat="server">
  void btnSubmit_OnClick(Object sender, EventArgs e)
  {
    // Create a WebClient instance
    WebClient objWebClient = new WebClient();

    lblHTML.Text = "<b>Request Header Information:</b><br>";
    foreach (String strHeader in objWebClient.Headers)
      lblHTML.Text += strHeader + " - " + objWebClient.Headers[strHeader] + "<br>";


    // Read the Response into an array of bytes, but use the UTF8Encoding
    // class to convert the byte array into a string
    UTF8Encoding objUTF8 = new UTF8Encoding();
    String strRequestedHTML = objUTF8.GetString(objWebClient.DownloadData(txtURL.Text));


    lblHTML.Text += "<p><b>Response Header Information:</b><br>";
    foreach (String strHeader in objWebClient.ResponseHeaders)
      lblHTML.Text += strHeader + " - " + objWebClient.ResponseHeaders[strHeader] + "<br>";


    // Output the contents of the Web request
    lblHTML.Text += strRequestedHTML;

  }
</script>

<html>
<body>
  <form runat="server">
    <font size=+1><b>Poor Man's Internet Explorer</b></font>
    <br>Browse the Web:
    <asp:textbox id="txtURL" runat="server" /><br>
    <i>Enter a URL starting with <code>http://</code></i><br>
    <asp:button id="btnSubmit" runat="server" Text="  Go!  "
                OnClick="btnSubmit_OnClick" />

    <p><hr><p>
    <asp:label id="lblHTML" runat="server" />
  </form>
</body>
</html>