<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.Net.Sockets" %>
<%@ Import Namespace="System.Text.RegularExpressions" %>
<script language="C#" runat="server">
  void btnSubmit_OnClick(Object sender, EventArgs e)
  {
    // Check to make sure that the email addy is in the right form
    String strEmail, strPattern;
    strEmail = txtEmail.Text;
    strPattern = "^[\\w-_\\.]+\\@([\\w]+\\.)+\\w+$";

    if (!Regex.IsMatch(strEmail, strPattern, RegexOptions.IgnoreCase))
    {
      // Invalid email address form!
      Response.Write("<font color=red><i>Your email address is in an" +
                     " illegal format.</i></font><p>");
    } else {
      // Check to see if the domain name entered in the email address exists
      String strDomain;
      strDomain = strEmail.Substring(strEmail.IndexOf("@") + 1);

      // Attempt to Resolve the hostname
      String strIP;
      try {
        strIP = Dns.Resolve(strDomain).AddressList[0].ToString();

        // If we reach here, we have a valid email address, so do whatever
        // processing or whatnot needs to be done...
        Response.Write("<b>Valid email address.  Your domain name has " +
                      "an IP of " + strIP + ".  Thank you!</b>");
      }
      catch (SocketException se) {
        // The DNS resolve was unsuccessful...
        strIP = se.Message;

        Response.Write("<font color=red><i>" + strIP + "</i></font><p>");
      }
    }
  }
</script>

<html>
<body>
  <form runat="server">
    <br><b>Enter your Email address:</b>
    <asp:textbox id="txtEmail" runat="server" />
    <p>
    <asp:button id="btnSubmit" runat="server" Text="Check Email"
                OnClick="btnSubmit_OnClick" />
  </form>
</body>
</html>