<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<script language="C#" runat="server">
  void btnSubmit_OnClick(Object sender, EventArgs e)
  {
    // Read in the uploaded file into a Stream
    Stream objStream = fupUpload.PostedFile.InputStream;
    System.Drawing.Image objImage = System.Drawing.Image.FromStream(objStream);

    // List the properties of the Image
    String strFileName = fupUpload.PostedFile.FileName;
    lblImageProps.Text = "<hr><p><b>Uploaded File:</b> " + strFileName +
         "<br><b>Type:</b> ";

    // Determine the file type
    if (objImage.RawFormat.Equals(ImageFormat.Gif)) lblImageProps.Text += "GIF";
    if (objImage.RawFormat.Equals(ImageFormat.Bmp)) lblImageProps.Text += "BMP";
    if (objImage.RawFormat.Equals(ImageFormat.Jpeg)) lblImageProps.Text += "JPEG";
    if (objImage.RawFormat.Equals(ImageFormat.Icon)) lblImageProps.Text += "Icon";
    if (objImage.RawFormat.Equals(ImageFormat.Tiff)) lblImageProps.Text += "TIFF";

    lblImageProps.Text += "<br><b>Dimensions:</b> " + objImage.Width +
         " x " + objImage.Height + " pixels<br><b>Size:</b> " +
         objStream.Length + " bytes<br>" + "<b>Horizontal Resolution:</b> " +
         objImage.HorizontalResolution +
         " pixels per inch<br><b>Vertical Resolution:</b> " +
         objImage.VerticalResolution + " pixels per inch" +
         "<p><img src=\"" + strFileName + "\">";

    objImage.Dispose();
  }
</script>

<html>
<body>
  <form runat="server" EncType="multipart/form-data">
    <h1>Image Converter</h1>
    <b>Select an image file:</b><br>
    <input runat="server" id="fupUpload" type="file">
    <p>
    <asp:button id="btnSubmit" runat="server" Text="Get Image Info"
                OnClick="btnSubmit_OnClick" />

    <p><asp:label id="lblImageProps" runat="server" />
  </form>
</body>
</html>