<script language="VB" runat="server">
  Sub Page_Load(sender as Object, e as EventArgs)

    'Display information about the xspwp.exe process
    Dim objProcInfo as ProcessInfo = ProcessModelInfo.GetCurrentProcessInfo()

    lblStartTime.Text = objProcInfo.StartTime
    lblAge.Text = String.Format("{0:0.##}", objProcInfo.Age.TotalHours) & " hours"
    Select Case objProcInfo.Status
      Case ProcessStatus.Alive:
        lblStatus.Text = "Alive"
      Case ProcessStatus.ShutDown:
        lblStatus.Text = "Shut down"
      Case ProcessStatus.ShuttingDown:
        lblStatus.Text = "Currently shutting down"
      Case ProcessStatus.Terminated:
        lblStatus.Text = "Terminated"
    End Select

    lblProcessID.Text = objProcInfo.ProcessID
    lblPeakMemoryUsed.Text = String.Format("{0:#,###}", objProcInfo.PeakMemoryUsed) & " K"
   
  End Sub
</script>

<html>
<body>
    <table align="center" border="1" cellspacing="0" cellpadding="5">
      <tr>
        <th colspan=2>
          <code>aspnet_wp.exe</code> Process Information
        </th>
      </tr>
      <tr>
        <td>Start Time</td>
        <td><asp:label runat="server" id="lblStartTime" /></td>
      </tr>
      <tr>
        <td>Age</td>
        <td><asp:label runat="server" id="lblAge" /></td>
      </tr>
      <tr>
        <td>Status</td>
        <td><asp:label runat="server" id="lblStatus" /></td>
      </tr>
      <tr>
        <td>ProcessID</td>
        <td><asp:label runat="server" id="lblProcessID" /></td>
      </tr>
      <tr>
        <td>Peak Memory Used</td>
        <td><asp:label runat="server" id="lblPeakMemoryUsed" /></td>
      </tr>
    </table>
</body>
</html>