<script language="c#" runat="server">
  void btnSubmit_Click(Object sender, EventArgs e)
  {
    if (Page.IsValid)
      if (Convert.ToSingle(txtSavings.Text) / Convert.ToSingle(txtSalary.Text) > 0.1)
        lblResults.Text = "<hr><p>You are saving enough!";
      else
        lblResults.Text = "<hr><p>You are <b>NOT</b> saving enough!";
  }
</script>

<html>
<body>
  <form method="post" runat="server">
    <h1>Savings Survey</h1>
    How old are you?
    <asp:textbox id="txtAge" runat="server" Columns="3" />
    <asp:CompareValidator runat="server"
           id="compAge" Type="Integer" Operator="DataTypeCheck"
           ControlToValidate="txtAge" Display="Dynamic"
           ErrorMessage="Age must be an integer value." />

    <br>What is your salary?
    $<asp:textbox id="txtSalary" runat="server" />
    <asp:CompareValidator runat="server"
           id="compSalary" Type="Currency" Operator="DataTypeCheck"
           ControlToValidate="txtSalary" Display="Dynamic"
           ErrorMessage="Salary must be an currency value." />
    <asp:CompareValidator runat="server"
           id="compPositiveSalary" Type="Currency"
           ControlToValidate="txtSalary" Display="Dynamic"
           ValueToCompare="0" Operator="GreaterThanEqual"
           ErrorMessage="You can't make less than $0.00!" />

    <br>How much do you save each year?
    $<asp:textbox id="txtSavings" runat="server" />
    <asp:CompareValidator runat="server"
           id="compSavigs" Type="Currency" Operator="DataTypeCheck"
           ControlToValidate="txtSavings" Display="Dynamic"
           ErrorMessage="Savings must be an currency value." />
    <asp:CompareValidator runat="server"
           id="compSavigsSalary" Type="Currency" Operator="LessThanEqual"
           ControlToValidate="txtSavings" ControlToCompare="txtSalary"
           Display="Dynamic"
           ErrorMessage="You cannot save more than you earn!" />

    <p><asp:button id="btnSubmit" runat="server"
            OnClick="btnSubmit_Click" Text="Next -->" />
    <p><asp:label runat="server" id="lblResults" />
  </form>
</body>
</html>