<script language="c#" runat="server">
  void btnSubmit_Click(Object sender, EventArgs e)
  {

      if (Page.IsValid)
        // Page is valid...
        Response.Write("<font color=red><b>Valid form field entries!</b></font>");
      else
        // Page is NOT valid
        Response.Write("<font color=red><b>Not yet valid!</b></font>");
  }
</script>

<html>
<body>
  <form method="post" runat="server">
    <h1>Give Us Your Personal Information, Please</h1>
    Social Security Number (###-##-####):
    <asp:textbox id="txtSSN" runat="server" />
    <asp:RegularExpressionValidator runat="server"
           id="regexpSSN" ValidationExpression="^\d{3}\-\d{2}\-\d{4}$"
           ControlToValidate="txtSSN" Display="Dynamic"
           ErrorMessage="SSN must be in ###-##-#### format." />
    <asp:RequiredFieldValidator runat="server"
           id="reqSSN"
           ControlToValidate="txtSSN" Display="Dynamic"
           ErrorMessage="You must supply an SSN." />

    <br>ZIP Code:
    <asp:textbox id="txtZip" runat="server" />
    <asp:RegularExpressionValidator runat="server"
           id="regexpZip" ValidationExpression="^\d{4}(\d|\d\-\d{4})$"
           ControlToValidate="txtZip" Display="Dynamic"
           ErrorMessage="Zip must be in ##### or #####-#### format." />
    <asp:RequiredFieldValidator runat="server"
           id="reqZip"
           ControlToValidate="txtZip" Display="Dynamic"
           ErrorMessage="You must supply a Zip Code." />
    <p><asp:button id="btnSubmit" runat="server"
                   Text="Submit" OnClick="btnSubmit_Click" />
  </form>
</body>
</html>