Imports System
Imports System.Data
Imports System.Data.SqlClient
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports System.Globalization
Imports System.Threading

Public Class myCodeBehind_1622 : Inherits Page

  Public myDataGrid As DataGrid
  Public EncodType As DropDownList
  Public cultureType As Label

  Public Sub Page_Load(Sender As Object, E As EventArgs)
    Dim culture As CultureInfo
    Dim myDataAdapter As SqlDataAdapter
    Dim myDataSet As New DataSet

    If Not Page.IsPostBack Then
      culture = CultureInfo.CurrentCulture
    Else
      culture = New CultureInfo(EncodType.SelectedItem.Value)
      Thread.CurrentThread.CurrentCulture = culture
    End If

    cultureType.Text = culture.EnglishName

    myDataAdapter = New SqlDataAdapter("Select LastName, FirstName, BirthDate, HireDate From Employees", _
      "server=localhost;database=Northwind;uid=sa;pwd=;")
    myDataAdapter.Fill(myDataSet, "Employees")

    myDataGrid.DataSource = myDataSet.Tables("Employees").DefaultView
    myDataGrid.DataBind()
  End Sub

End Class